Quoi de Neuf dans NVDA


%!includeconf: ../changes.t2tconf

= 2013.1.1 =

== Corrections de Bogues ==
- Les caractères correctes sont affichés lorsque l'on saisi dans l'interface utilisateur de NVDA en utilisant une méthode de saisie Coréenne ou Japonnaise lorsque c'est la méthode par défaut. (#2909)
- Dans Internet Explorer et les autres objets MSHTML, les champs marqués comme contenant une entrée invalide sont correctement gérés. (#3256)


= 2013.1 =
Les apports majeurs de cette version incluent une disposition clavier ordinateur portable plus intuitive et logique ; un support basique de Microsoft PowerPoint ; le support des descriptions longues dans les navigateurs web ; et le support de la saisie du braille informatique pour les afficheurs brailles disposant d'un clavier braille.

== Important ==

=== Nouvelle disposition clavier ordinateur portable ===
La disposition clavier ordinateur portable a été revue pour être plus intuitive et cohérente.
La nouvelle disposition utilise les flèches combinées avec la touche NVDA et autres touches pour les commandes de revue.

Notez les changements suivants pour les commandes communément utilisées :
|| Nom | Touche |
| Dire tout | NVDA+a |
| Lire la ligne courrante | NVDA+l |
| Lire le texte sélectionné | NVDA+shift+s |
| Lire la barre d'état | NVDA+shift+end |
En plus d'autres changements, toutes les commandes de la navigation par objet, de la revue de texte, clic souris et de paramétrage de voix ont changé.
Lisez le document [Résumé des commandes keyCommands.html] pour les nouveaux raccourcis.


== Nouvelles Fonctionnalités ==
- Support basique de l'édition et de la lecture des présentations Microsoft PowerPoint. (#501)
- Support basique pour la lecture et l'écriture de messages dans Lotus Notes 8.5. (#543)
- Support du changement automatique de langue lors de la lecture de documents dans Microsoft Word. (#2047)
- En mode navigation dans les documents MSHTML (ex : Internet Explorer) et Gecko (ex : Firefox), l'existence des longues descriptions est maintenant annoncée. Il est aussi possible d'ouvrir les longues descriptions dans une nouvelle fenêtre en appuyant sur NVDA+D. (#809)
- Les notifications dans Internet Explorer 9 et plus récent sont maintenant lues (comme les fenêtres publicitaires bloquées ou les téléchargements). (#2343)
- L'annonce automatique du titre des lignes et colonnes d'un tableau est maintenant supportée dans Internet Explorer et les autres contrôles MSHTML. (#778)
- Nouvelles langues : Aragonais, Irlandais.
- Nouvelles tables Braille : Dannois Grade 2, Coréen Grade 1. (#2737)
- Support des afficheurs Braille connectés via le Bluetooth sur les ordinateurs utilisant Bluetooth Stack for Windows by Toshiba. (#2419)
- Support de la sélection du port pour les afficheurs freedom Scientific (Automatique, USB ou Bluetooth).
- Support des bloc-notes BrailleNote de Humanware lorsqu'ils agissent comme afficheur Braille pour un lecteur d'écran. (#2012)
- Support des anciens modèles d'afficheur Braille Papenmeier BRAILLEX. (#2679)
- Support de la saisie en braille informatique pour les afficheurs braille disposant d'un clavier braille. (#808)
- Nouvelles options de clavier permettant d'interrompre ou non la parole lorsqu'on appuie sur une touche et ou sur entrer. (#698)
- Support de certains navigateurs basés sur Google Chrome : Rockmelt, BlackHawk, Comodo Dragon et SRWare Iron. (#2236, #2813, #2814, #2815)


== Changements ==
- LibLouis Braille Translator mis à jours vers la version 1.5.2. (#2737)
- La disposition clavier ordinateur portable a été revue pour être plus intuitive et cohérente. (#804)
- Mise à jours de la synthèse vocale eSpeak vers la version 1.47.11. (#2680, #3124, #3132, #3141, #3143, #3172)


== Corrections de Bogues ==
- La touche de navigation rapide pour passer au séparateur précédent ou suivant en mode navigation fonctionne maintenant dans Internet Explorer et les autres documents MSHTML. (#2781)
- Si NVDA revient à eSpeak ou pas de parole à cause d'une erreur dans le synthétiseur configuré lors du démarrage de NVDA, la configuration n'est plus modifiée pour prendre la valeur du nouveau synthétiseur, ce qui signifi que NVDA essayera encore de chargé le synthétiseur en erreur lors du prochain démarrage. (#2589)
- Si NVDA revient à pas de braille à cause d'une erreur dans l'afficheur braille configuré lors du démarrage de NVDA, la configuration n'est plus modifiée pour prendre la valeur du nouvel afficheur, ce qui signifi que NVDA essayera encore de chargé l'afficheur braille en erreur lors du prochain démarrage. (#2264)
- En mode navigation dans les applications Mozilla, les mises à jour de tableaux sont maintenant correctement rendues. Par exemple, dans les cellules mises à jour, les coordonnées de ligne et de colonne sont correctement annoncées et les touches de navigation dans un tableaux fonctionnent comme prévu. (#2784)
- En mode navigation dans les navigateurs Internet, certains graphiques cliquables sans étiquette n'étaient pas rendus et le sont maintenant correctement. (#2838)
- Les anciennes et nouvelles versions de SecureCRT sont maintenant supportées. (#2800)
- Pour certaines méthodes d'entrée IME dans Windows XP, la chaîne de lecture est maintenant correctement rapportée.
- La liste de candidats de la méthode d'entrée Chinois simplifié Microsoft Pinyin sous Windows 7 est maintenant lue correctement lorsqu'on change de page avec les flèches gauche et droite, et en l'ouvrant la première fois avec Origine.
- Quand la personnalisation de prononciations des symboles est sauvegardée, le champ avancé "préservé" n'est plus supprimé. (#2852)
- Lorsqu'on désactive la recherche automatique de mise à jour, il n'est plus nécessaire de redémarrer NVDA pour que le changement prenne effet.
- NVDA n'est plus en échec dès le démarrage si un module complémentaire n'a pas pu être supprimé parce que son dossier est utilisé par une autre application. (#2860)
- Le nom des onglets dans la boîte de dialogue des préférences de DropBox peut maintenant être vu en mode revue à plat.
- Si la langue d'entrée est changée par une autre que celle par défaut, NVDA détecte maintenant correctement les touches pour les commandes et l'aide à la saisie.
- Pour les langues comme l'Allemand ou le signe + (plus) est une seul touche du clavier, il est maintenant possible d'y assigner un raccourci avec le mot "plus". (#2898)
- Dans Internet Explorer et les autres contrôles MSHTML, les bloques de citation sont signalées à l'endroit approprié. (#2888)
- Les afficheurs Braille HumanWare de série Brailliant BI/B peuvent maintenant être sélectionnés quand l'afficheur est connecté via bluetooth mais qu'il n'a jamais été connecté via USB.
- Filtrer les éléments dans la liste des éléments en mode navigation avec des filtres en texte majuscules retourne maintenant les même résultats que si tout était en minuscule. (#2951)
- Dans les navigateurs Mozilla, le mode navigation peut à nouveau être utilisé quand du contenu flash est activé. (#2546)
- Lorsque l'on utilise une table braille abrégé et que l'option Afficher le mot sous le curseur en braille informatique est activée, le curseur braille est maintenant positionné correctement lorsque situé après un mot dans lequel un caractère est représenté par plusieurs cellules brailles (ex : signe majuscule, signe de lettre, signe de nombre, etc.). (#2947)
- Le texte sélectionné est maintenant correctement affiché en braille dans des applications comme Microsoft Word 2003 et les zone d'édition dans Internet Explorer.
- Il est à nouveau possible de sélectionner du texte en arrière dans Microsoft Word lorsque le braille est activé.
- Lorsqu'on lit ou supprime un caractère avec backspace ou suppr dans une zone d'édition Scintilla, NVDA annonce correctement les caractères multibyte. (#2855)
- NVDA n'échouera plus à l'installation lorsque le chemin du profile contient des caractères multibyte. (#2729)
- L'annonce des groupes dans les vues de liste (SysListview32) dans les applications 64-bits ne cause plus d'erreur.
- En mode navigation dans les applications Mozilla, le contenu texte n'est plus considéré comme éditable dans de rares cas. (#2959)
- Dans IBM Lotus Symphony et OpenOffice, déplacer le curseur déplace également le curseur de revue lorsqu'aproprié.
- Le contenu Adobe Flash est maintenant accessible dans Internet Explorer sous Windows 8. (#2454)
- Correction du support bluetooth de l'afficheur braille Papenmeier Braillex Trio. (#2995)
- Corrigée l'impossibilité d'utiliser certaines voix Microsoft SAPI version 5 tel que les voix Koba Speech 2. (#2629)
- Dans les applications utilisant Java Access Bridge, l'afficheur braille s'actualise correctement lorsque le curseur se déplace dans une zone d'édition. (#3107)
- Support du repère form en mode navigation dans les documents supportant les repères. (#2997)
- Le pilote de synthèse vocale espeak supporte mieux le mode épellation (ex : annonce la valeur de la lettre plutôt que sa phonéthique).  (#3106)
- NVDA n'échoue plus lors de la copie de la configuration utilisateur pour utilisation à l'écran de connexion et les autres écrans sécurisés lorsque le chemin du profile contient des des caractères non ASCII. (#3092)
- NVDA ne se fige plus lorsque l'on saisi des caractères asiatiques dans certaines applications .NET. (#3005)
- Il est maintenant possible d'utiliser le mode navigation pour les pages sous Internet Explorer 10 lorsque l'on est en mode standard ; Ex : la page de connexion de www.gmail.com. (#3151)


== Changements pour les développeurs ==
- Les afficheurs Braille peuvent maintenant supporter la sélection manuelle du port. (#426)
 - C'est surtout utile pour les afficheurs Braille qui supportent la connexion via un port série.
 - Cela se fait en utilisant la méthode de classe getPossiblePorts dans la classe BrailleDisplayDriver.
- La saisie en braille via un clavier braille est maintenant supportée. (#808)
 - La saisie en braille est gérée par la classe brailleInput.BrailleInputGesture ou d'une sous-classe.
 - Les sous-classes de braille.BrailleDisplayGesture (implémentée comme dans les pilotes d'afficheurs brailles) peuvent aussi hériter de brailleInput.BrailleInputGesture. Cela permet que les commandes braille et la saisie soient gérés par la même classe de commande.
- On peut maintenant utiliser comHelper.getActiveObject pour récupérer un objet COM depuis un processus normal quand NVDA est exécuté avec le privilège UIAccess. (#2483)


= 2012.3 =
Les apports majeurs de cette version incluent le support de la saisie des caractèrs asiatiques ; le support expérimental des écrans tactiles sous Windows 8 ; l'annonce des numéro de page et le support amélioré des tableaux dans Adobe Reader ; le support de la navigation entre les cellules des liste multi-colones ou en tableau ; le support de plusieurs nouveaux afficheurs Braille ; et l'annonce des entêtes de lignes et colonnes dans les tableaux Microsoft Excel.

== Nouvelles Fonctionnalités ==
- NVDA supporte maintenant la saisie des caractères asiatiques en utilisant les méthodes IME et les services de saisie de texte dans toutes les applications, incluant :
 - Rapport et navigation dans les listes de suggestions;
 - Rapport et navigation dans les chaînes de composition ; et
 - Lecture des chaînes lues.
- La présence de soulignements et de superpositions est maintenant rapportée dans les documents Adobe Reader. (#2410)
- Quand la fonction touches rémanentes de Windows est activée, la touche NVDA se comportera comme les autre touches de combinaisons. Cela vous permet de l'utiliser sans la maintenire enfoncée pendant que vous pressez d'autre touches. (#230)
- L'annonce de titre des lignes et colonnes de tableaux est maintenant supportée dans Microsoft Excel. Appuyez sur NVDA+maj+c pour définir la ligne contenant le titre des colonnes, et NVDA+maj+r pour la colonne contenant le titre des lignes. Appuyer deux fois rapidement l'une de ces combinaison efface le paramètre. (#1519)
- Support pour les afficheurs braille HIMS Braille Sense, Braille EDGE et SyncBraille. (#1266, #1267)
- Lorsque les notifications Toast Windows 8 apparaissent, NVDA les annonce si l'annonce des infobulles est activée. (#2143)
- Support expérimentale des écrans tactiles sous Windows 8, incluant :
 - Lecture du texte sous le doigt lorsqu'on le bouge autour
 - Beaucoup de gestes pour naviguer entre les objets, le curseur de revue, et d'autres commandes de NVDA.
- Support de VIP Mud. (#1728)
- Dans Adobe Reader, si un tableau a un résumé, il est maintenant présenté. (#2465)
- Dans Adobe Reader, les entêtes de lignes et de collones des tableaux peuvent maintenant être annoncés. (#2193, #2527, #2528)
- Nouvelles langues : Éthiopien, Coréen, Népalais, Slovénien.
- NVDA peut maintenant lire les suggestions de l'autocomplétion lorsqu'on saisi des adresses e-mail dans Microsoft Outlook 2007. (#689)
- Deux nouvelles variantes de voix Espeak : Gene, Gene2. (#2512)
- Dans Adobe Reader, les numéros de pages peuvent maintenant être rapportés. (#2534)
- Dans Reader 11, les étiquettes de pages sont maintenant raportées si présentes, reflétant les changements de numéro de page dans différentes sections, etc. Dans les versions inférieures, ce n'est pas possible et seulement les numéros de pages séquentiels sont rapportés.
- Il est maintenant possible de réinitialiser la configuration de NVDA à celle par défaut en appuyant trois fois sur NVDA+Ctrl+r, ou en choisissant Réinitialiser la configuration aux paramètres par défaut dans le menu de NVDA. (#2086)
- Support des afficheurs braille Seika Version 3, 4 et 5 et Seika80 de Nippon Telesoft. (#2452)
- les premiers et derniers curseurs routines des afficheurs braille Pacmate et Focus de Freedom Scientific peuvent maintenant être utilisés pour défiler vers l'avant ou vers l'arrière. (#2556)
- Plus de possibilités sont supportées pour les afficheurs brailles Focus de Freedom Scientific comme les bares pour avancer, les bares de basculement et certaines combinaisons de points pour des actions communes. (#2516)
- Dans les applications utilisant IAccessible2 comme les applications Mozilla, les entêtes de lignes et collones des tableaux peuvent être rapportés même en n'étant pas en mode navigation. (#926)
- Support préliminaire des contrôles de documents de Microsoft Word 2013. (#2543)
- L'alignement du texte peut maintenant être rapporté dans les applications utilisant IAccessible2 comme les applications Mozilla. (#2612)
- Lorsqu'une ligne de tableau ou un élément d'une liste multi-colonnes standard Windows a le focus, il est possible d'utiliser les commande de navigation de tableau pour passer de cellule en cellule. (#828)
- Nouvelles tables Brailles : Estonien Grade 0, Portugais Braille informatique 8 points, et Braille informatique Italien six points. (#2139, #2662)
- Si NVDA est installé, ouvrir un paquet de module complémentaire NVDA (par exemple depuis l'explorateur ou après l'avoir téléchargé) proposera l'installation de celui-ci.  (#2306)
- Support des modèles plus récents de plages Braille Papenmeier BRAILLEX. (#1265)
- L'information de position (Ex : 1 sur 4) est maintenant rapportée dans les éléments des listes de l'explorateur Windows dans Windows 7 et supérieur. Cela inclut également les éléments UIAutomation qui supportent les propriétés itemIndex et et itemCount. (#2643)


== Changements ==
- Dans la boîte de dialogue de préférences du curseur de revue de NVDA, l'option suivre le focus clavier a été renommée en Suivre le focus système pour être cohérent avec les terminologies utilisées ailleurs dans NVDA.
- Quand le braille suit la revue et que le curseur est dans un objet qui n'est pas un objet texte (P.EX. une zone d'édition), les touches routines activent maintenant l'objet. (#2386)
- L'option Sauvegarder la configuration en quittant est activée par défaut pour les nouvelles configurations.
- Lorsque l'on met à jours une copie installée de NVDA, le raccourci clavier du bureau n'est plus remis à control+alt+n s'il a été changé manuellement par l'utilisateur. (#2572)
- La liste des modules complémentaires dans le gestionnaire de modules complémentaires affiche le nom du paquet avant son état. (#2548)
- Lorsqu'on installe la même version ou une autre d'un module complémentaire actuellement installé, NVDA proposera de mettre à jour le module complémentaire plutôt qu'afficher un message d'erreur et abandonner. (#2501)
- Les commandes de navigation par objets (excepté la commande rapporter l'objet courant) rapportent maintenant moins d'informations. Vous pouvez toujours obtenir les autres informations en utilisant la commande Rapporter l'objet courant. (#2560)
- Mise à jour de liblouis vers la version 2.5.1. (#2319, #2480, #2662, #2672)
- Le document Références Rapides des touches de Raccourcis a été renommé en résumé des touches de commandes puisqu'il inclut maintenant les commandes tactiles et les commandes clavier.
- La liste d'éléments en mode Navigation se souviendra maintenant du type d'élément à afficher (Ex : les liens, les entêtes ou les repères) chaque fois que ce dialogue est appelé dans la même session de NVDA. (#365)
- La plupart des applications en interface Windows 8 (Ex : Mail, Calendrier) n'activent plus le mode navigation pour toute l'application.
- Le serveur-COM pour les afficheurs Braille Handy Tech est mis à jours vers la version 1.4.2.0.


== Corrections de Bogues ==
- Sous Windows Vista et supérieur, NVDA ne traite plus la touche Windows comme étant gardée appuyée lors du déverrouillage après l'avoir verrouillé en appuyant Windows+L. (#1856)
- Dans Adobe Reader, les entêtes de colonnes sont maintenant bien reconnus comme des cellules ; P.Ex. les coordonnées sont annoncées et sont accessibles avec les touches de navigation pour les tableaux. (#2444)
- Dans Adobe Reader, les cellules sur plusieurs colonnes sont correctement traitées. (#2437, #2438, #2450)
- Le package de NVDA distribué vérifie maintenant son intégrité avant de s'exécuter. (#2475)
- Les fichiers temporaires de téléchargement sont maintenant supprimés si le téléchargement d'une mise à jour de NVDA échoue. (#2477)
- Lorsque l'on copie la configuration utilisateur dans la configuration système (pour l'utiliser  dans l'écran d'identification à Windows et les autres écrans sécurisés de Windows) NVDA ne se figera plus sous XP pendant la procédure où il s'exécute en tant qu'administrateur. (#2485)
- Les tuiles dans l'écran de démarrage Windows 8 sont maintenant mieux présentées vocalement et en braille. Le nom n'est plus répété, non sélectionné n'est plus rapporté sur toutes les tuiles, et l'information de statut en temps réel est présenté comme la description de la tuile (P.Ex. la température actuelle pour la météo).
- Les mot de passes ne sont plus annoncés lorsqu'on lie un champ de mot de passe dans Microsoft Outlook et d'autres champs d'édition standards marqués comme protégés. (#2021)
- Dans Adobe Reader, les changement dans les champs de formulaires sont correctement rendus en mode navigation. (#2529)
- Amélioration du support pour le correcteur orthographique de Microsoft Word, incluant une lecture plus précise de l'erreur d'orthographe actuelle, et la possibilité de supporter le correcteur orthographique lorsqu'on exécute une version installée de NVDA sous Windows Vista ou supérieur.
- Les modules complémentaires qui incluent des fichiers contenant des caractères non anglais peuvent être installés correctement dans la majorité des cas. (#2505)
- Dans Adobe Reader, la langue du texte n'est plus perdue lorsqu'il est mis à jour ou qu'on le fait défilé. (#2544)
- Lors de l'installation d'un module complémentaire, la boîte de dialogue de confirmation affiche le nom traduit du module complémentaire si disponible. (#2422)
- Dans les applications utilisant UI Automation (comme les applications .net et Silverlight), le calcul de valeurs numériques pour des composants comme les sliders a été corrigé. (#2417)
- La configuration du rapport des barres de progression est maintenant prise en compte pour les barres de progression non déterminables affichées par NVDA lors de l'installation, de la création d'une version portable etc. (#2574)
- Les commandes de NVDA ne peuvent plus être exécutées depuis un afficheur Braille tant qu'un écran sécurisé de Windows (comme l'écran de verrouillage de l'ordinateur) est actif. (#2449)
- En mode navigation, le braille est mis à jour si le texte affiché change. (#2074)
- Lorsque l'on est dans un écran sécurisé tel que la fenêtre d'ordinateur verrouillé, les messages des applications annonçant ou affichant du braille directement via NVDA sont maintenant ignorés.
- En mode navigation, il est maintenant impossible de passer le bas du document avec la flèche droite en étant sur le dernier caractère, ou en sautant à la fin d'un conteneur quand celui-ci est le dernier élément du document. (#2463)
- Les contenus extérieurs ne sont plus incorrectement inclus lors du rapport du texte des dialogues dans les applications web (spécifiquement, les dialogues ARIA sans attribut aria-describedby). (#2390)
- NVDA ne rapporte ou ne situe plus incorrectement certains champs d'édition dans les documents MSHTML (Ex : Internet Explorer), spécifiquement où un rôle ARIA explicite a été défini par l'auteur de la page web. (#2435)
- La touche retour arrière est maintenant correctement traitée lors de l'annonce des mots tapés dans les invites de commandes. (#2586)
- Les coordonnées de cellules dans Microsoft Excel sont maintenant affichées en Braille.
- Dans Microsoft Word, NVDA ne vous laisse plus bloqué dans un paragraphe avec liste formatée lorsque vous essayez de naviguer autour d'une puce ou d'un nombre avec la flèche gauche ou ctrl+flèche gauche. (#2402)
- En mode navigation dans les applications Mozilla, les éléments de certaines zones de listes (spécifiquement, les zones de listes ARIA) ne sont plus mal affichés.
- En mode navigation dans les applications Mozilla, certains éléments affichés avec un nom incorrect ou juste un espaces blancs sont maintenant affichés avec le bon nom.
- En mode navigation dans les applications Mozilla, certains espaces blancs superflus ont été éliminés.
- En mode navigation dans les navigateurs Internet, certains graphiques étant marqués explicitement comme étant pour la présentation (spécifiquement, avec un attribut alt="") sont maintenant ignorés.
- Dans les navigateurs Internet, NVDA cache maintenant le contenu marqué comme caché des lecteurs d'écran (spécifiquement, l'utilisation de l'attribut aria-hidden). (#2117)
- Les valeurs monétaires négatives (ex : -$123) sont correctement annoncées comme négatives, quelque soit le niveau du symbole. (#2625)
- Pendant dire tout, NVDA ne restorera pas le langage par défaut de manière inappropriée quand la ligne n'est pas une fin de phrase. (#2630)
- Les informations de mise en forme sont correctement détectées dans Adobe Reader 10.1 et plus récent. (#2175)
- Dans Adobe Reader, si un texte alternatif est fourni, seulement ce texte sera rendu. Précédamment, du texte en trop était lu. (#2174)
- Lorsqu'un document contient une application, le contenu de l'application n'est plus inclus dans le mode navigation. Cela permet d'éviter de se déplacer dans l'application de manière inattendue. On peut se déplacer dans l'application de la même manière que pour un objet embarqué. (#990)
- Dans les applications Mozilla, les valeurs des boutons rotatifs sont correctement rapportées lorsqu'elles changent. (#2653)
- Mise à jour du support d'Adobe Digital Editions pour qu'il fonctionne avec la version 2.0. (#2688)
- Appuyer sur NVDA+FlècheHaute lorsqu'on est dans une zone de liste dans Internet explorer et autres documents MSHTML ne lira plus tous les éléments. Seul l'élément actif sera lu. (#2337)
- Les dictionnaires de paroles se sauvegarderont bien quand on utilise un dièse (#) dans le champ Mot réel et Remplacement. (#961)
- Le mode navigation dans les documents MSHTML (ex : Internet Explorer) affiche maintenant le contenu visible contenu dans du contenu invisible. Spécifiquement : les éléments ayant un style visibility:visible contenu dans un élément avec le style visibility:hidden. (#2097)
- Les liens du centre de sécurité de Windows XP ne rapportent plus de texte superflu après leur nom. (#1331)
- Les champs de texte UI Automation (Ex : la zone de recherche du menu démarrer de Windows 7) sont dèsormais correctement annoncés lorsqu'on déplace la souris autour au lieux de ne rien dire.
- Les changements de disposition de clavier ne sont plus annoncés pendant dire tout, ce qui était particulièrement problématique dans les documents multi-lingues incluant du texte en Arabe. (#1676)
- Le contenu entier de certains champs de texte UI Automation (ex : le champ de recherche dans le menu démarrer de Windows 7/8) n'est plus annoncé à chaque changement.
- Lorsqu'on navigue entre les groupes dans l'écran d'accueil de Windows 8, un groupe sans étiquette n'annoncera plus la première tuile comme le nom du groupe. (#2658)
- Lorsqu'on ouvre l'écran d'accueil de Windows 8, le focus est correctement placé sur le premier élément, au lieux de sauter au début de l'écran ce qui peut causer des confusions dans la navigation. (#2720)
- NVDA ne plantera plus au démarrage lorsque le répertoire du profile de l'utilisateur contient des caractères multibyte. (#2729)
- En mode navigation dans Google Chrome, le texte des onglets est maintenant correctement affiché.
- En mode navigation, les boutons de menu sont maintenant rapportés correctement.
- Dans OpenOffice.org/LibreOffice Calc, la lecture des cellules des tableaux fonctionne correctement. (#2765)
- NVDA peut à nouveau fonctionner dans la liste des messages de Yahoo! Mail avec Internet Explorer. (#2780)


== Changements pour les développeurs ==
- Le fichier journal précédent est maintenant renommé en nvda-old.log à l'initialisation de NVDA. Par conséquent, si NVDA plante ou est redémarré, les informations journalisées de cette session sont toujours accessibles pour inspection. (#916)
- Accéder à la propriété role dans chooseNVDAObjectOverlayClasses ne la rend plus incorrecte et pas rapporté lors du focus pour certains objets tel que les fenêtres d'invites de commandes et les contrôles Scintilla. (#2569)
- Les menus Préférences, Outils et Aide de NVDA sont maintenant accessibles comme des attributs de gui.mainFrame.sysTrayIcon només respectivement preferencesMenu, toolsMenu et helpMenu. Cela permet aux plugins de pouvoir plus facilement ajouter des éléments à ces menus.
- Le script navigatorObject_doDefaultAction dans globalCommands a été renommé en review_activate.
- Les messages de contexte Gettext sont maintenant supportés. Cela permet de pouvoir définir plusieurs traductions pour un message en Anglais selon le contecte. (#1524)
 - Cela se fait en utilisant la fonction pgettext(context, message).
 - Ceci est supporté aussi bien pour NVDA que pour les modules complémentaires.
 - xgettext et msgfmt de GNU Gettext doivent être utiliser pour créer tout fichier po ou mo. Les outils Python ne supportent pas les messages de contextes.
 - Pour xgettext, passez le paramètre de ligne de commande --keyword=pgettext:1c,2 pour activer l'inclusion des messages de contextes.
 - Visitez http://www.gnu.org/software/gettext/manual/html_node/Contexts.html#Contexts pour plus d'informations.
- Il est maintenant possible d'accéder aux modules intégrés de NVDA afin d'en étendre les fonctionnalités. Reportez-vous au module nvdaBuiltin pour plus de détails.
- Le support de traduction dans les Modules complémentaires est maintenant supporté dans le module installTask du module complémentaire. (#2715)


= 2012.2.1 =
Cette version comble des failles de sécuritée (en mettant à jour vers Python 2.7.3)


= 2012.2 =
Les apports majeurs de cette version incluent un installateur et créateur de version portable intégré, des mises à jours automatiques, une gestion facile des nouveaux modules complémentaires NVDA, l'annonce des graphique dans Microsoft Word, le support des application Metro Windows 8, et des corrections de bogues importants.

== Nouvelles Fonctionnalités ==
- NVDA peut maintenant rechercher, télécharger et installer automatiquement les mises à jour. (#73)
- Étendre les fonctionnalités de NVDA a été facilité par l'ajout d'un gestionnaire de Modules Complémentaires (accessible depuis le menu Outils du menu NVDA) vous permettant d'installer ou de désinstaller des paquets de Modules Complémentaires (fichiers .nvda-addon) contenant des plugins et des drivers. Notez bien que le gestionnaire de Modules Complémentaires n'affiche pas les anciens plugins ou pilotes copiés manuellement dans votre répertoire de configuration. (#213)
- Beaucoup plus de fonctionnalités de NVDA sont maintenant utilisables dans les applications en style Metro sous Windows 8 lorsqu'on utilise une copie installée de NVDA, incluant la prononciation des caractères saisis, et le mode navigation pour les documents web (incluant le support pour la version metro de Internet Explorer 10). Les copies portables de NVDA ne peuvent accéder aux applications Metro. (#1801) 
- En mode navigation (Internet Explorer, Firefox etc.) il est maintenant possible de sauter au début et de passer la fin de certains éléments contenants (incluant les listes et les tableaux) avec shift+, et , respectivement. (#123)
- Nouvelle langue : grecque.
- Les graphiques et le texte alternatif sont maintenant lus dans les documents Microsoft Word. (#2282, #1541)


== Changements ==
- L'annonce des coordonnées des cellules dans Microsoft Excel est maintenant après le contenu plutôt qu'avant, et est maintenant seulement incluse si les options Annoncer les tableaux et Annoncer les coordonnées des cellules dans un tableau sont activées dans les options de mise en forme des documents.
- NVDA est maintenant distribué en un seul package. Plutôt qu'une version portable et une version installée, il n'y a maintenant qu'un fichier qui lorsqu'il démarre, va démarrer une copie temporaire de NVDA qui vous permettra d'installer ou de créer une copie portable. (#1715)
- NVDA est maintenant toujours installé dans Program Files sur tous les systèmes. Mettre à jours une installation la déplacera automatiquement si elle n'y était pas installée.


== Corrections de Bogues ==
- Avec le changement automatique de la langue activé, le Contenu tel que le texte alternatif pour les graphiques et les étiquettes pour certains champs dans Mozilla Gecko (P.ex. Firefox) sont maintenant prononcé dans la langue correcte si marquée de manière appropriée.
- DireTout dans BibleSeeker (et autre contrôles TRxRichEdit) ne s'arrête plus au milieu d'un passage.
- Les listes que l'on trouve dans les propriétés de fichiers de l'explorateur de Windows 8 (onglet permissions) et dans Windows Update sous Windows 8 sont maintenant lues correctement.
- Correction de blocages possibles dans MS Word qui causaient un délai de plus de deux secondes pour récupérer le texte d'un document (lignes extrêmement longues ou table des matières). (#2191)
- La détection de séparation de mots fonctionne maintenant correctement quand l'espace est suivi de certaines ponctuations. (#1656)
- En mode Navigation dans Adobe Reader, il est maintenant possible de naviguer dans les différents niveaux d'en-têtes en utilisant les touches de navigation rapide et la liste. (#2181)
- Dans Winamp, le braille est maintenant correctement mis à jour quand on change d'élément dans l'éditeur de playliste. (#1912)
- L'arborescence dans la liste des éléments (disponibles pour les documents en mode navigation) est maintenant correctement dimentionné pour afficher le texte de tous les éléments. (#2276)
- Dans les applications utilisant Java Access Bridge, les champs de texte éditables sont maintenant correctement présentés en braille. (#2284)
- Dans les applications utilisant java Access Bridge, les champs de textes éditables ne rapporte plus de caractères étranges dans certaines circonstences. (#1892)
- Dans les  applications utilisant Java Access Bridge, à la fin d'un champ de texte éditable, la ligne courrante est maintenant lue correctement. (#1892)
- En mode Navigation dans les applications utilisant Mozilla Gecko 14 et supérieur (e.g. Firefox 14), la navigation rapide fonctionne maintenant dans les bloques de citation et les objets inclus. (#2287)
- Dans Internet Explorer 9, NVDA ne lit plus de contenu non désiré quand le focus est dans certains repaires ou éléments activables (plus précisément, un élément div pouvant avoir le focus ou ayant un rôle de repaire ARIA).
- L'icône de NVDA pour les raccourcis du bureau et du menu démarrer est correctement affichée dans les éditions 64 bit de Windows. (#354)


== Changements pour les développeurs ==
- En raison du remplacement de l'installateur NSIS pour NVDA par un installateur en Python, il n'est plus nécessaire pour les traducteurs de maintenir un fichier langstrings.txt pour l'installateur. Toutes ces chaînes traduites sont maintenant gérées par les fichiers po gettext.


= 2012.1 =
Les apports majeurs de cette version incluent des fonctionnalités pour une lecture plus fluide du Braille; des indications de mise en forme des documents en Braille; l'accès à beaucoup plus d'informations de mise en forme ainsi qu'une amélioration de performances sous Microsoft Word et le support du magasin Itune. 

== Nouvelles Fonctionnalités ==
- NVDA peut annoncer le nombre de tabulations et d'espaces en début de ligne dans l'ordre où ils apparaissent.
- NVDA peut maintenant détecter les appuis de touches venant de claviers alternatifs tels que les claviers à l'écran et les reconnaissances vocales.
- NVDA peut maintenant détecter les couleurs dans les consoles de commande Windows.
- Les caractères gras, italiques et soulignés sont maintenant signalés en braille en utilisant les signes définis dans la table braille en cours. (#538)
- Dans les documents Microsoft Word, beaucoup plus d'informations sont maintenant annoncées, parmi lesquelles :
 - Les informations en ligne comme les numéros de notes en bas de page et de notes en fin de document, niveaux de titres, l'existence de commentaires, les niveaux d'imbrication des tables, les liens, la couleur du texte;
 - annonce, quand on entre dans les paragraphes tels que l'historique des commentaires, l'historique des notes de bas de page et des notes de fin de document et l'historique des en-têtes et pieds de page; 
- Le braille indique maintenant le texte sélectionné en utilisant les points 7 et 8. (#889)
- Dans les documents, les contrôles tels que lien, bouton titre sont maintenant affichées en Braille. (#202)
- Prise en compte des terminaux braille USB hedo ProfiLine et MobilLine. (#1863, #1897)
- Par défaut, NVDA essaie maintenant de ne pas couper les mots en Braille quand c'est possible. Ceci peut être désactivé dans le dialogue "Paramètres Braille". (#819) (#946)
- Il est maintenant possible d'afficher le Braille par paragraphe plutôt que par ligne, ce qui peut permettre une lecture plus fluide de grandes portions de texte.  Ceci peut être configuré en utilisant l'option "Lire par paragraphe" du dialogue "Paramètres Braille". (#1891)
- En mode navigation, on peut activer l'objet sous le curseur à partir du terminal braille. Ca se fait en pressant la touche de routage curseur correspondant à la position du curseur. Si le curseur n'est pas encore à la position souhaitée, il faut presser deux fois la touche. (#1893)
- Support de base des zones web telles que le magasin dans Itune. 
- Dans les livres sous Adobe Digital Editions 1.8.1 et au-delà, les pages sont maintenant tournées automatiquement en mode dire tout.
- Nouvelle table de conversion braille : Portugais grade 2, Islandais informatique 8 points, Tamoul grade 1, Espagnol informatique 8 points, Farsi grade 1. (#2014)
- L'annonce des cadres dans les documents peut maintenant être configurée dans le dialogue de mise en forme des documents. (#1900)
- Le mode veille est automatiquement activé quand on utilise Openbook. (#1209)
- Sous Poedit, les traducteurs peuvent maintenant lire les commentaires ajoutés par les traducteurs ou extraits automatiquement. Les messages non traduits ou confus sont marqués par une étoile et on entend un bip quand on passe dessus. (#1811)
- Support des terminaux braille HumanWare Brailliant Bi & B. (#1990)
- Nouvelle langue: Norvégienne Bokmål.


== Changements ==
- Les commandes permettant de décrire le caractère courant ou d'épeler le mot ou la ligne en cours épellent maintenant dans la langue appropriée au texte si le changement automatique de langue est activé et si les informations relatives à la langue sont disponibles.
- Mise à jour du synthétiseur eSpeak à la version 1.46.02.
- NVDA tronque maintenant les noms très longs (plus de 30 caractères) devinés dans les graphiques et les liens URLs car ils nuisent souvent à la lecture. (#1989)
- Certaines informations affichées en Braille ont été abrégées. (#1955)
- Quand le curseur de revue ou le curseur système se déplacent, le braille défile maintenant de la même manière que par le défilement manuel. Ceci est plus cohérent quand le Braille est configuré pour une lecture par paragraphe ou pour éviter la coupure de mots. (#1996)
- Mise à jour de la table Espagnole Grade 1.
- Mise à jour du convertisseur braille Liblouis à la version 2.4.0.
- Mise à jour du convertisseur braille Liblouis à la version 2.4.1.

== Corrections de Bogues ==
- Sous Windows 8, le focus n'est plus retiré intempestivement de la zone de recherche de l'explorateur ce qui empêchait NVDA d'interagir avec elle.
- importantes améliorations de performances durant la lecture d'un document Microsoft Word quand l'annonce automatique des changements de format du document est activée ce qui rend plus confortable la vérification du format d'un texte. Les performances générales peuvent aussi être améliorées pour certains utilisateurs.
- Le mode navigation est maintenant utilisé pour les contenus Adobe Flash.
- Correction de la qualité audio parfois pauvre quand on utilise Microsoft Speech API version5 avec la sortie audio réglée sur autre chose que le mappeur Microsoft utilisé par défaut. (#749)
- NVDA peut de nouveau être utilisé avec le synthétiseur "pas de parole", en s'appuyant uniquement sur le Braille ou la visionneuse de parole.
- Les commandes de navigation par objet n'annoncent plus "pas d'enfant" ou "pas de parent" mais un texte correspondant à la documentation.
- Quand NVDA est configuré dans une langue autre que l'anglais, le nom de la touche de tabulation est maintenant annoncé dans la langue appropriée.
- Sous Mozilla Gecko (ex : Firefox), NVDA ne passe plus en mode navigation de manière intermittente quand on parcourt les menus dans un document. (#2025)
- Dans la calculatrice, la touche retour arrière annonce maintenant le résultat au lieu de ne rien annoncer. (#2030)
- En mode navigation, la commande de déplacement de la souris vers l'objet de navigation courant amène au centre de l'objet sous le curseur de revue plutôt qu'en haut à gauche ce qui améliore le fonctionnement dans certains cas. (#2029)
- En mode navigation, quand le passage automatique en mode formulaire au changement de focus est activé, la mise en focus d'une barre d'outils activera maintenant le mode formulaire. (#1339)
- La commande d'annonce du titre fonctionne à nouveau correctement sous Adobe Reader.
- Quand le passage automatique en mode formulaire au changement de focus est activé, le mode formulaire est activé pour les cellules de tableau en focus (ex : grilles arias). (#1763)
- Sous Itune, l'information de position est maintenant annoncée correctement dans certaines listes.
- Sous Adobe Reader, certains liens ne sont plus traités comme des zones d'édition non modifiables.
- l'étiquette de certaines zones d'édition n'est plus incluse de manière incorrecte à l'annonce du texte d'un dialogue. (#1960)
- La description des groupages est de nouveau annoncée si l'annonce de la description des objets est activée.
- la taille en format lisible est maintenant incluse dans le texte du dialogue de propriété des disques de l'explorateur Windows.
- La double annonce du texte des pages de propriété a été supprimée dans certains cas. (#218)
- Amélioration du suivi du curseur dans les zones d'édition s'appuyant sur du texte écrit à l'écran. En particulier, cela améliore l'utilisation de l'éditeur de cellules dans Microsoft Excel et dans l'éditeur de messages d'Eudora. (#1658)
- Sous Firefox 11, la commande NVDA+Control+Espace (aller à l'objet virtuel contenant) fonctionne maintenant comme prévu pour quitter un objet embarqué tel qu'un objet Flash.
- NVDA se relance maintenant correctement après un changement de configuration quand il est installé dans un répertoire dont le nom comporte des caractères non Ascii. (#2079)
- Le Braille respecte correctement les réglages pour l'affichage des touches de raccourci des objets, de l'information de rang et des descriptions.
- Dans les applications Mozilla, le passage entre le mode formulaire et le mode navigation n'est plus ralenti quand le Braille est activé.
- Amener le curseur sur l'espace situé à la fin d'un paragraphe en utilisant les routines curseur Braille ne  ramène plus au début du texte. (#2096)
- NVDA fonctionne de nouveau correctement avec le synthétiseur Audiologic Tts3. (#2109)
- Les documents Microsoft Word sont correctement traités comme multilignes. Cela permet un comportement plus approprié du Braille quand le document est en focus.
- Sous Microsoft Internet Explorer, il n'y a plus d'erreur quand le focus se trouve sur certains contrôles rares (#2121)
- NVDA fonctionne maintenant correctement dans plusieurs dialogues "à propos" dans les applications distribuées avec Windows XP, parmi lesquelles le dialogues "à propos" du bloc-notes. (#1855) et celui de Windows.  
- Correction de la revue par mots dans les champs d'édition de Windows. (#1877)
- quitter un champ d'édition avec flèche-haut, flèche-gauche ou page-précédente quand on est en mode formulaire passe maintenant automatiquement en mode navigation quand le mode formulaire automatiquement au déplacement du curseur est activé. (#1733)
- Le changement de nom d'une ponctuation ou d'un symbole prendra effet instantanément sans nécessiter un redémarrage de NVDA.
- Lorsque l'on utilise eSpeak, La parole ne se met plus en mode silence dans certains cas dans le dialogue Enregistrer Sous de la visionneuse du journal. (#2145) 
 
 

== Changements pour les Développeurs ==
- Il y a maintenant une console Python à distance pour les situations ou le débogage à distance est utile. Consultez le guide de développement pour les détails.
- Le chemin de base du code NVDA est maintenant supprimé dans le log pour améliorer la lisibilité. (#1880)
- Les objets Textinfo ont maintenant une méthode activate() pour activer la position représentée par le Textinfo.
 - Ceci est utilisé par le Braille pour activer la position en utilisant les curseur routines sur les afficheurs braille. Cependant, il pourrait y avoir d'autres utilisations dans le futur.
- TreeInterceptors et NVDAObjects qui n'exposent qu'une page de texte à la fois peuvent prendre en compte le défilement automatique des pages en mode "dire tout" en utilisant le mix-in textInfos.DocumentWithPageTurns. (#1978)
- Plusieurs contrôles et valeurs de constantes ont été renommés ou déplacés= (#228)
- Les constantes speech.REASON_* ont été déplacées dans controlTypes.
  - Dans controlTypes, speechRoleLabels et speechStateLabels ont été renommées respectivement en roleLabels et stateLabels.
- L'affichage Braille est maintenant journalisé au niveau entrée/sortie. D'abord, le texte non converti de toutes les régions est journalisé suivi par les cellules braille de la fenêtre en cours d'affichage. (#2102)
 

= 2011.3 =
Les apports majeurs de cette version incluent le changement automatique de langue pendant la lecture de documents contenant les informations de langue appropriées; le support des environnements Java 64 bits; l'annonce des informations de formatage du texte en mode navigation dans les applications Mozilla; une meilleure prise en compte des plantages ou blocage d'applications; et les premières adaptations pour Windows 8.

== Nouvelles fonctionnalités ==
- NVDA peut maintenant changer la langue du synthétiseur eSpeak à la volée
quand on lit des documents web/pdf contenant les informations de langue appropriées.
Le changement automatique de langue ou de dialecte peut être activé ou désactivé
dans le dialogue Paramètres Vocaux. (#845)
- Java Access Bridge 2.0.2 est maintenant supporté ce qui inclut les environnements Java Runtime 64 bits.
- Sous Mozilla Gecko (ex : Firefox) Les niveaux de titre sont maintenant annoncés quand on utilise la navigation par objet.
- Le formatage du texte peut maintenant être annoncé quand on utilise le mode navigation sous Mozilla Gecko (ex : Firefox et ThunderBird). (#394)
- Les textes soulignés et/ou biffés peuvent maintenant être détectés et annoncés dans les contrôles de texte IAccessible2 standards tels qu'on en trouve dans les applications Mozilla.
- En mode navigation sous Adobe Reader,
le nombre de ligne et de colonnes d'un tableau est maintenant annoncé.
- Le synthétiseur Microsoft Speech Platform est maintenant supporté. (#1735)
- Les numéros de ligne et de colonne sont maintenant annoncés pour le curseur sous IBM Lotus Symphony. (#1632)
- Le pourcentage de changement de hauteur de voix quand une lettre majuscule est prononcée est maintenant configurable dans le dialogue Paramètres vocaux.
Cela remplace l'ancienne case à cocher "Augmenter la hauteur de la voix pour signaler les majuscules".
Pour désactiver cette fonction, mettez le pourcentage à 0. (#255)
- L'annonce de la couleur du texte et de l'arrière-plan est maintenant inclus dans l'annonce du formatage du texte des cellules sous Microsoft Excel. (#1655)
- Dans les applications utilisant Java Access Bridge, la commande d'activation de l'objet de navigation courant fonctionne maintenant pour les contrôles qui le nécessitent. (#1744)


== Changements ==
- NVDA redémarre maintenant automatiquement en cas de plantage.
- Quelques informations affichées en Braille ont été abrégées. (#1288)
- le script de lecture de la fenêtre active (NVDA+B) a été amélioré
pour filtrer les contrôles inutiles et est maintenant beaucoup plus facile à interrompre. (#1499)
- La lecture automatique au chargement d'un document navigable est maintenant optionnelle via un paramètre dans le dialogue Mode Navigation. (#1414)
- Quand on essaie de lire la barre d'état (NVDA=fin en configuration clavier ordinateur de bureau), NVDA lira la dernière ligne de texte à l'écran s'il ne peut trouver de vraie barre d'état. (#649)
- Dans les documents navigables, pendant la lecture avec la commande dire tout, NVDA marquera maintenant une pause après les titres et les autres marques de blocs au lieu de lire tout le texte comme une seule longue phrase.
- En mode navigation, l'appui sur entrée ou espace quand on se trouve sur un onglet active celui-ci plutôt que de passer en mode formulaire. (#1760)
- Mise à jour du synthétiseur eSpeak à la version 1.45.46.


== Corrections de bogues ==
- NVDA ne montre plus les puces ou les numérotations dans les listes sous Internet Explorer et autres contrôles MSHTML
quand l'auteur a spécifié que celles-ci ne doivent pas être montrées (ex : style de liste "none"). (#1671)
- Le redémarrage de NVDA après blocage (ex : en pressant control+alt+n) n'arrête plus la copie en cours sans en démarrer une nouvelle.
- Dans la console de commandes Windows, l'appui sur retour-arrière ou les flèches ne provoque plus de résultats bizarres dans certains cas. (#1612)
- L'élément sélectionné dans les listes déroulantes WPF
(et possiblement d'autres listes déroulantes présentées par UI Automation)
qui n'autorisent pas l'édition de texte est maintenant annoncé correctement.
- En mode navigation sous adobe Reader, il est maintenant toujours possible d'aller de la ligne d'en-tête à la ligne suivante et vice-versa
en utilisant les commandes de déplacement à la ligne suivante et de déplacement à la ligne précédente.
En outre, la ligne d'en-tête n'est plus annoncée comme ligne 0.
- En mode navigation sous Adobe Reader, il est maintenant possible d'entrer et des ressortir des cellules vides d'un tableau.
- Les informations de position sans signification (ex : 0 sur 0 niveau 0) ne sont plus affichées en Braille.
- Quand le Braille suit le curseur de revue, il peut maintenant afficher le contenu en revue à plat. (#1711)
- Le texte d'un contrôle texte n'est plus affiché deux fois sur le terminal braille dans certains cas (ex : défilement arrière depuis le début d'un document Wordpad).
- En mode navigation sous Internet Explorer, l'appui sur la touche Entrer sur un bouton de téléchargement de fichier affiche maintenant correctement le dialogue permettant de choisir le fichier à envoyer au lieu de passer en mode formulaire. (#1720)
- Le changement dynamique de contenu, par exemple dans les consoles DOS, ne sont plus annoncés si le mode veille est activé pour l'application en cours. (#1662)
- En mode navigation, le comportement de alt+flèchehaute et alt+flèchebasse pour réduire et développer les listes déroulantes a été amélioré.
- NVDA s'accommode maintenant de beaucoup plus de situations telles que des applications cessant de répondre et qui le gelaient complètement. (#1408)
- Dans les documents navigables sous Mozilla Gecko (Firefox etc),
NVDA n'échoue plus à présenter le texte dans le cas très spécial où un élément est stylé comme display:table. (#1373)
- NVDA n'annonce plus les contrôles d'étiquette quand le focus entre dans l'une d'entre elles.
Cela supprime la double annonce de l'étiquette pour certains champs de formulaire sous Firefox (Gecko) et Internet Explorer (MSHTML). (#1650)
- NVDA réussit maintenant à lire le contenu d'une cellule Microsoft Excel après qu'on y ait collé du contenu par Ctrl+v. (#781)
- Sous Adobe Reader, des informations irrelevantes concernant le document ne sont plus annoncées quand on se déplace à un contrôle sur une autre page en mode formulaire. (#1659)
- En mode navigation dans les applications Mozilla Gecko telles que Firefox, les boutons à deux états sont maintenant correctement détectés et annoncés. (#1757)
- NVDA peut maintenant lire correctement la barre d'adresse de l'explorateur Windows dans la préversion pour développeur de Windows 8.
- NVDA ne plante plus certaines applications telles que Winver et Wordpad de la préversion pour développeur de Windows 8 en raison d'une mauvaise traduction de certains glyphes.
- En mode navigation dans les applications utilisant Mozilla Gecko 10 ou au-delà (comme Firefox 10), le curseur se positionne plus souvent correctement quand on charge une page avec une ancre cible. (#360)
- En mode navigation dans les applications Mozilla Gecko (ex : Firefox), les étiquettes des images sont maintenant présentées.
- Avec le suivi de la souris activé, le passage de la souris sur certains champs d'édition n'entraîne plsu le plantage de l'application.


== Changements pour les Développeurs ==
- NVDA peut maintenant dire aux synthétiseurs de changer de langue pour certaines portions de texte.
 - Pour permettre cela, les pilotes doivent supporter speech.LangChangeCommand dans les séquences passées à SynthDriver.speak().
 - SynthDriver objects doit aussi fournir l'argument de langue  aux objets VoiceInfo (ou remplacer l'attribut langue pour récupérer la langue  courante). Sinon, la langue de l'interface utilisateur de NVDA sera utilisée.


= 2011.2 =
Les apports majeurs de cette version incluent des améliorations notables concernant la ponctuation et les symboles, y compris leurs niveaux de prononciation désormais configurables, l'étiquetage personnalisé ainsi que la descriptions des caractères; la suppression des pauses à la fin des lignes en cours de lecture avec la commande "Dire tout"; le support amélioré des ARIA dans Internet Explorer ; un meilleur support pour les documents XFA/LiveCycle PDF dans Adobe Reader ; la possibilité d'exploiter le texte écrit à l'écran sous encore plus de logiciels; et enfin, l'accès à l'information de mise en forme et la couleur du texte écrit à l'écran.


== Nouvelles fonctionnalités ==
- Il est maintenant possible d'entendre la description d'un caractère donné en appuyant deux fois rapidement sur une combinaison de touches, ce qui appelle le script Revue Caractère courant. Pour les caractères en anglais, c'est la norme de l'alphabet phonétique international qui sera utilisée. Pour les langues pictographiques telles que le chinois traditionnel, un exemple composé d'une ou plusieurs phrases utilisant le symbole en question est fourni. De même, l'appui sur les touches servant à appeler le script Revue Mot Courant ou Revue Ligne Courante trois fois épellera le mot/ligne en utilisant la première de ces descriptions. (#55)
- À l'avenir, NVDA verra plus de texte dans le cas d'une représentation plate sous des applications telles que Mozilla Thunderbird. Ces logiciels transmettent leur texte directement à l'écran sous forme de glyphes.
- Il est maintenant possible de choisir entre plusieurs niveaux d'annonce de ponctuation et symboles. (#332)
- Lorsque des ponctuations ou d'autres symboles sont répétés plus de quatre fois, le nombre de leur répétitions est désormais annoncé au lieu de lire les symboles répétitivement. (#43)
- Nouvelles tables Braille: norvégien Braille informatique 8 points, Éthiopien intégral, Slovène intégral, Serbe intégral. (#1456)
- La vocalisation n'observe plus de pauses anormales à la fin de chaque ligne en mode dire tout. (#149)
- NVDA annoncera si quelque chose est réorganisé (selon la propriété Aria-Sort) dans les navigateurs web. (#1500)
- Les caractères Braille unicodes sont maintenant affichés correctement sur les plages tactiles. (#1505)
- Sous Internet Explorer et autres contrôles MSHTML, quand le focus se déplace au sein d'un groupe de contrôles (entouré par un ensemble de champs), NVDA annoncera désormais le nom du groupe, (la légende). (#535)
- Sous Internet Explorer et autres contrôles MSHTML, les propriétés aria-labelledBy et aria-describedBy sont maintenant honnorées.
- Sous Internet Explorer et autres contrôles MSHTML, le ssupport des ARIA tout comme celui des liste, des cellules dans une grille, les barres de défilement et des barre de progression a été améliorée.
- Les utilisateurs peuvent désormais changer la prononciation des ponctuations et des symboles ainsi que le niveau auquel ils sont annoncés. (#271, #1516)
- Sous Microsoft Excel, le nom de la feuille active est maintenant annoncé quand on change de feuille avec control + page précédente ou control + page suivante. (#760)
- Quand on navigue dans un tableau en utilisant la touche tab sous Microsoft Word, NVDA annonce maintenant la cellule courante alors que vous vous déplacez. (#159)
- Vous pouvez maintenant déterminer si les coordonnées des cellules d'un tableau doivent être annoncées dans la boîte de dialogue Mise en forme du document, sous le menu Préférences. (#719)
- NVDA est présentement capable de détecter les informations de formatage et la couleur d'un texte écrit à l'écran.
- Dans la liste de messages de Outlook Express / windows Mail / Windows Live Mail, NVDA annonce maintenant si le message est non lu et si le message est réduit ou développé dans le cas des conversations groupées. (#868)
- eSpeak a maintenant un paramètre d'accélération de la parole qui en triple le débit.
- Support de la zone "Calendrier" qui se trouve dans la boîte de dialogue d'information Date et Heure qui est atteignable à partir de l'horloge de Windows 7. (#1637)
- Des affectations de touches supplémentaires ont été ajoutées pour l'afficheur Braille MDV Lilli. (#241)
- Nouvelles langues: Albanais, Bulgare.


== Changements ==
- Pour déplacer le curseur système au curseur de revue, appuyez maintenant sur les touches qui appellent le script Déplace Focus Vers Objet Navigation (Clavier d'ordinateur de bureau NVDA + maj + Moins pavé numérique, Clavier d'ordinateur portable, NVDA + Maj + Retour arrière) deux fois rapidement. Cela libère plus de touches. (#837)
- Pour entendre la représentation décimale et hexadécimale du caractère sous le curseur de revue, appuyez maintenant sur Revue Caractère Courant trois fois plutôt que deux. Le double-appui vocalise la description du caractère.
- Mise à jour de la synthèse vocale eSpeak vers la version 1.45.03. (#1465)
- Les tableaux de visualisation ne sont plus annoncés dans les applications Mozilla Gecko quand le focus s'y déplace en mode navigation ou en dehors d'un document.
- Sous Internet Explorer et d'autres contrôles MSHTML, le mode navigation fonctionne maintenant dans les applications ARIA. (#1452)
- Mise à jour dutraducteur braille LibLouis vers la version 2.3.0.
- Quand le mode navigation est actif et que l'on atteint un contrôle soit par une touche de navigation rapide ou en y déplaçant le focus, le nom du contrôle est annoncé s'il y a lieu.
- Les barres de progression sont désormais signalées en mode navigation.
- Les nœuds marqués avec un rôle ARIA de présentation dans Internet Explorer et autres contrôles MSHTML sont maintenant filtrés du mode revue simple et de l'ascendance du focus.
- L'interface utilisateur de NVDA et la documentation font maintenant référence aux tampons virtuels en tant que mode navigation, le terme "tampons virtuels" n'ayant pas de signification pour la plupart des utilisateurs. (#1509)
- Quand l'utilisateur veut copier ses paramètres utilisateur pour inclusion dans le profil système pour qu'ils soient utilisables sur l'écran d'ouverture de session etc, et que ces paramètres contiennent des plugins personnalisés, il est maintenant averti d'un risque de sécurité potentiel. (#1426)
- Le service NVDA ne procède plus à un démarrage et un arrêt de NVDA sur les bureaux de saisie de l'utilisateur.
- Sous Windows Xp et Windows Vista, NVDA n'utilise plus UI Automation même s'il est disponible à travers la plate-forme de mise à jour système. Bien que l'utilisation de UI Automation améliore l'accessibilité de certaines applications modernes, sous XP et Vista, son utilisation causait trop de blocages, pannes de programes et dégradations de performances. (#1437)
- Dans les applications utilisant Mozilla Gecko 2 et suivants (comme Firefox 4 et suivants), un document peut maintenant être lu en mode navigation avant d'être complètement chargé.
- NVDA annonce maintenant l'état d'un conteneur quand le focus arrive à l'un de ses contrôles (Par exemple, quand le focus arrive sur un document en cours de chargement, il sera annoncé comme occupé).
- L'interface utilisateur de NVDA et la documentation n'utilisent plus les termes "premier enfant" et "parent" en ce qui concerne la navigation par objet, ces termes étant sources de confusions pour beaucoup d'utilisateurs.
- Réduit n'est plus annoncé pour certains menus qui ont des sous-menus.
- Le script reportCurrentFormatting (NVDA + f) annonce maintenant le format du texte à la position du curseur de revue et non plus à celle du curseur système ou focus. Comme, par défaut, le curseur de revue suit le curseur système, la plupart des utilisateurs ne devraient pas s'en apercevoir. Cependant, cela permettra à l'utilisateur de connaître le format du texte quand il se déplace avec le curseur de revue, en particulier en revue à plat.


== Correction de bogues ==
- La fermeture des zones de liste déroulantes dans un document navigable lorsque le mode formulaire a été forcé avec NVDA + espace ne fais plus repasser automatiquement en mode navigation. (#1386)
- Dans les documents Gecko (Firefox par exemple) et MSHTML (par exemple Internet Explorer), NVDA restitue maintenant correctement le texte se trouvant sur la même ligne au lieu de le présenter sur des lignes séparées. (#1378)
- Lorsque Braille suit revue, quand l'objet de navigation est déplacé vers un document navigable (document web, pdf, ou courriel au format HTML), soit manuellement, soit en raison d'un changement de focus, le curseur Braille  indiquera le contenu du document de façon appropriée. (#1406, #1407)
- Lorsque l'annonce des ponctuations est désactivée, certaines ponctuations ne sont plus prononcées, ce qui arrivait parfois avec certaines synthèses vocales. (#332)
- Plus de problèmes lors du chargement de configuration des synthétiseurs de parole qui ne supportent pas les paramètres vocaux tels que Audiologic Tts3. (#1347)
- Le menu Extras de Skype est maintenant lu correctement. (#648)
- Le fait de cocher la case "La brillance modifie le volume des coordonnées audio" qui fait partie de la boîte de dialogue Paramètres de la souris ne devrait plus causer un retard notable de bips lors du déplacement de la souris en présence de l'affichage de Windows Vista / Windows 7 quand Aero est actif. (#1183)
- Quand NVDA est configuré pour utiliser le clavier Ordinateur Portable, NVDA + supprime fonctionne maintenant comme documenté, annonçant les dimensions correctes de l'objet de navigation courant.
- Maintenant, NVDA honore de manière appropriée l'attribut aria sélectionné dans les documents d'Internet Explorer.
- Quand il passe automatiquement en mode formulaire dans les documents navigables, NVDA annonce désormais les informations de contexte de celui-ci. Par exemple, si un élément de zone de liste reçoit le focus, la zone de liste sera annoncée en premier. (#1491)
- Dans Internet Explorer et d'autres contrôles MSHTML, les boîtes à listes dans les ARIA sont maintenant traités en tant que listes, plutôt que comme des éléments de liste.
- Quand un contrôle d'édition en lecture seule reçoit le focus, NVDA annonce désormais qu'il est en lecture seule. (#1436)
- En mode navigation, NVDA se comporte comme requis en présence des zones d'édition en lecture seule.
- Dans les documents navigables, NVDA ne quitte plus par intermittences le mode formulaire lorsque aria-activedescendant est défini; par exemple lorsque la liste des suggestions apparaît dans certains contrôles à complétion automatique de saisie.
- Dans Adobe Reader, le nom des contrôles est maintenant annoncé lors d'un mouvement de curseur ou lors de la navigation qui requiert l'utilisation des touches d'accès rapides en mode navigation.
- Dans les documents PDF XFA sous Adobe Reader, les boutons, les liens et les graphiques sont maintenant identifiés correctement.
- Dans les documents PDF XFA d'Adobe Reader, tous les éléments sont maintenant rendus sur des lignes séparées. Cette modification a été apportée parce que de grandes sections d’un document, (parfois même le document intégral) étaient restitués sans pauses en raison de l'absence générale de la structure de ces documents.
- Correction des problèmes de déplacement du curseur vers ou loin de certains champs d'édition dans les documents XFA PDF dans Adobe Reader.
- Dans les documents PDF XFA d'Adobe Reader, les changements d'état d'une liste déroulante ayant le focus seront désormais annoncés.
- Les zones de liste déroulantes du type Owner-Drawn comme celles de choix des couleurs dans Outlook Express sont maintenant accessibles avec NVDA. (# 1340)
- Dans les langues qui utilisent un espace pour séparer les groupes de chiffres/milliers comme le français et l'allemand, les nombres appartenant à des séquences textuelles distinctes ne sont plus prononcés comme un nombre entier. Ceci était particulièrement problématique pour les cellules de tableau contenant des nombres. (#555).
- Les nœuds ARIA ayant un rôle de description sous Internet Explorer et autres contrôles MSHTML sont maintenant traités comme du texte statique, non comme des zones d'édition.
- Correction de plusieurs problèmes où l'appui sur TAB quand le focus est sur un document en mode navigation dysfonctionnait; (la touche TAB se déplaçait inopportunément vers la barre d'adresse dans Internet Explorer, par exemple). (#720, #1367)
- Lorsque NVDA lit intégralement un texte et qu'il rencontre des listes, NVDA dit maintenant "Liste de 5 éléments" au lieu de "Listeavec 5 éléments" Anglais uniquement. (#1515)
- Il est probable que désormais, la touche de tabulation ne vous amène plus à la barre d'adresses, lors de la première ouverture d'Internet Explorer et de l'affichage d'une page Web.
- En mode "Aide à la saisie", les gestes sont consignés dans le journal de NVDA, même si les scripts qu'ils déclenchent ne relèvent pas du mode "Aide à la saisie", comme c'est le cas pour les commande de défilement Avance ou Recul sur un afficheur Braille.
- En mode "Aide à la saisie", lorsqu'une touche modificatrice du clavier est maintenue appuyée, NVDA ne la signale plus comme si elle était elle-même modifiée; par exemple, NVDA + NVDA.
- Dans les documents Adobe Reader, l'appui sur C ou Maj + C pour accéder à une zone de liste déroulante fonctionne maintenant correctement.
- Le fait que des lignes sélectionnables d'un tableau soient sélectionnées est maintenant annoncé de la même façon que pour les éléments d'une liste ou ceux d'une arborescence.
- Les contrôles sous FireFox et d'autres applications Gecko peuvent être activés en mode navigation, même si leur contenu flotte hors écran. (#801)
- Il ne vous est plus possible d'ouvrir une boîte de dialogue de paramètres NVDA quand une boîte de message est active. Cela conduisait, par le passé, à un gel de la boîte de dialogue de configuration. (#1451)
- Réintégration de la boîte de dialogue de l'Éditeur NVDA des cellules Excel. Celle-ci a été accidentellement désactivée dans NVDA 2011.1.
- Dans Microsoft Excel, il n'y a plus de ralentissement quand on maintient enfoncées ou que l'on appuie rapidement sur les touches pour se déplacer entre les cellules ou les sélectionner.
- Correction des arrêts intermittents du service NVDA, ce qui se traduisait par la non-réponse du lecteur d'écran en présence des bureaux sécurisés de Windows.
- Correction des problèmes qui survenaient avec les afficheurs Braille lorsqu'un changement causait la disparition du texte qui y était affiché.
- La fenêtre de téléchargements sous Internet Explorer 9 peut maintenant être explorée et lue avec NVDA. (#1280)
- Il n'est plus possible de démarrer accidentellement plusieurs copies de NVDA en même temps. (#507)
- Sur les systèmes lents, NVDA n'affiche plus inopportunément sa fenêtre principale quand il est en cours d'exécution. (#726)
- NVDA ne gèle plus sous Windows XP lors du démarrage d'une application WPF. (#1437)
- La commande "Dire tout" et "lire tout avec le curseur de revue" sont maintenant en mesure de travailler dans certains contrôles de texte UI automation qui prennent en charge toutes les méthodes requises. (Par exemple vous pouvez maintenant utiliser "Dire tout" avec le curseur de revue pour consulter les documents ouverts dans la Visionneuse XPS).
- Lors de la création d'une règle de messages, NVDA ne classe plus incorrectement certains éléments de liste de la boîte de dialogue "Appliquer la règle maintenant" sous Outlook Express ou Windows Live Mail. Il ne les considère plus comme étant des cases à cocher. (#576)
- Les zones de listes déroulantes ne sont plus signalés comme comportant un sous-menu.
- NVDA est maintenant capable de lire la liste des destinataires inscrits dans les champs à, CC et CCI sous Microsoft Outlook. (#421)
- Résolution d'un dysfonctionnement dans la boîte de dialogue Paramètres vocaux de NVDA où la valeur des barres de défilement n'était parfois pas annoncée lorsqu'on la changeait. (#1411)
- NVDA n'échoue plus quand il s'agit d'annoncer la nouvelle cellule lors du déplacement dans une feuille de calcul Excel, après un couper-coller. (#1567)
- NVDA ne se dégrade plus quand il devine les noms des couleurs quand les annonces de ceux-ci sont de plus en plus nombreuses.
- Dans Internet Explorer et d'autres contrôles MSHTML, correction de l'incapacité de lire des parties de pages rares, quand elles contiennent des IFrames marquées avec un rôle ARIA de présentation. (#1569)
- Dans Internet Explorer et autres contrôles MSHTML, élimination d'un dysfonctionnement rare qui faisait que le focus rebondissait infiniment entre le document et une zone d'édition multilignes quand on était en mode formulaire. (#1566)
- Dans Microsoft Word 2010, NVDA saura désormais lire les boîtes de dialogue de confirmation automatiquement. (#1538)
- Le programme d'installation de NVDA en Chinois de Hong-Kong n'affiche plus du texte tronqué sous Windows Vista et Windows 7. (#1596)
- NVDA n'est plus incapable de charger le synthétiseur SAPI 5 si la configuration utilisateurs contient les paramètres SAPI 5 mais qu'il manque un paramètre d'une voix quelconque. (#1599)
- Dans les zones d'édition sous Internet Explorer et autres contrôles MSHTML, NVDA ne ralentit plus et ne se gèle plus quand le braille est activé.
- En mode navigation sous FireFox, NVDA ne refuse plus d'inclure du contenu d'un node qui peut recevoir le focus et qu'un rôle ARIA de présentation est présent.
- Sous Microsoft Word avec le braille activé, Les lignes des pages après la première page sont maintenant annoncées correctement. (#1603)
- Sous Microsoft Word 2003, les textes de droite à gauche sont de nouveau lues correctement quand le braille est activé. (#627)
- Sous Microsoft Word, Dire tout fonctionne maintenant correctement quand le document ne finit pas par un signe de fin de phrase.
- A l'ouverture d'un message au format texte brut sous Windows Live Mail 2011, NVDA se positionnera directement sur le document contenant le message permettant ainsi de le lire.


== Changements pour les développeurs ==
- La documentation pour développeurs peut maintenant être générée en utilisant SCons. Voir readme.txt à la racine de la distribution source pour plus de détails, y compris ceux qui concernent les dépendances associées.
- Les locales peuvent maintenant fournir des descriptions de caractères. Voir la section Descriptions des Caractères du Guide du développeur pour plus de détails. (#55)
- Les locales peuvent maintenant fournir des informations sur la prononciation de la ponctuation et autres symboles spéciaux. Voir la section Prononciation des Symboles du Guide du développeur pour plus de détails. (#332)
- Les pilotes des synthèses vocales adoptent maintenant une séquence de commandes en mode texte et la parole lors de la synthétisation, et non seulement du texte et un index.
 - Cela permet la prise en compte des indexes intégrés, les changements de paramètres, etc
 - Les pilotes devraient implémenter SynthDriver.speak() au lieu de SynthDriver.speakText() et SynthDriver.speakCharacter().
 - Les anciennes méthodes seront utilisées si SynthDriver.speak() n'est pas mis en œuvre, mais ils sont obsolètes et seront supprimées dans une version future.


= 2011.1.1 =
Cette version apporte plusieurs correctifs de sécurité et traite d'autres questions importantes dans NVDA 2011.1.

== Corrections de bogues ==
- L'élément "Faire un Don" faisant partie du menu NVDA est maintenant indisponible lors de l'exécution à l'ouverture de session, sur l'écran de verrouillage, en présence du contrôle du compte utilisateur (UAC) et autres écrans Windows sécurisés, car il s'agit d'un risque de sécurité. (#1419)
- Il est maintenant impossible de copier ou coller au sein de l'interface utilisateur de NVDA en présence d'un bureau sécurisé (écran de verrouillage, fenêtre d'ouverture de session, ainsi que sous le contrôle du compte utilisateur UAC). Ceci pour combler une faille de sécurité. (#1421)
- Sous FireFox 4, la commande du mode navigation Aller à l'écran contenant, (NVDA + control + espace) fonctionne comme il se doit pour quitter des objets inclus comme les contenus Flash. (#1429)
- Quand l'option Annoncer les Touches de Commande est active, les caractères en majuscules ne sont plus indûment traités comme des touches de commande. (#1422)
- Lorsque Annoncer les Touches de commande est activée, l'appui sur la barre d'espace en conjonction avec les modificateurs autres que Maj (tels que Contrôle et Alt) est maintenant annoncé en tant que touche de commande. (#1424)
- Maintenant, la journalisation est complètement désactivée lors de l'ouverture de session, lors du verrouillage de l'ordinateur, sous le contrôle du compte utilisateur UAC ou autres écrans Windows sécurisés, car il s'agit d'un risque de sécurité. (#1435)
- En mode Aide à la Saisie, les gestes sont maintenant inclus dans le journals, même s'ils ne sont pas liés à un script particulier, (conformément au guide de l'utilisateur). (#1425)


= 2011.1 =
Nouveautés marquantes de cette version :
Annonce automatique du texte dans mIRC, PuTTY, Tera Term et SecureCRT;
Prise en charge des plugins globaux;
annonce des puces et de la numérotation sous Microsoft Word;
de nouvelles commandes assignées pour les terminaux braille, en particuliers les touches permettant d'aller à la ligne précédente ou suivante;
prise en charge de plusieurs terminaux  Baum, HumanWare et APH braille  Annonce des couleurs pour divers contrôles, incluant les contrôles de texte sous IBM Lotus Symphony.

== Nouvelles Fonctionnalités ==
- Les couleurs peuvent maintenant être annoncées pour certains contrôles. L'annonce automatique peut être configurée dans le dialogue Mise en forme des documents du menu Préférences. Elles peuvent aussi être annoncées à la demande grâce à la commande NVDA+f.
Pour le moment ceci est pris en charge dans les zones d'édition standards Iaccessible2 (par exemple les applications Mozilla), dans les contrôles richEdit  (par exemple dans Wordpad ou IBM Lotus Symphony).
- En mode navigation, vous pouvez maintenant sélectionner une page (en utilisant maj+pgdn et maj+pgup), ou un paragraphe (en utilisant maj+ctrl+flèchebas et maj+ctrl+flèchehaut). (#639)
- NVDA annonce maintenant automatiquement le texte sous mIRC, PuTTY, Tera Term et SecureCRT. (#936)
- L'utilisateur peut maintenant créer ou réassigner des touches de commande pour n'importe quel script dans NVDA grâce à une architecture unique de gestion des commandes utilisateur. (#194)
- Prise en charge des plugins globaux. Les plugins globaux permettent d'ajouter de nouvelles fonctions à NVDA  utilisables pour toutes les applications. (#281)
- Un petit bip est maintenant émis quand on entre un caractère en pressant la touche maj alors que le verrouillage majuscule est activé. Ceci peut être désactivé en décochant la case approprié dans le dialogue Paramètres du clavier du menu Préférences.
- Les sauts de page sont maintenant annoncés quand on se déplace par ligne dans Microsoft Word. (#788)
- Les puces et la numérotation sont maintenant annoncés quand on se déplace par ligne dans Microsoft Word. (#208)
- Une commande pour activer le mode veille pour l'application en cours (NVDA+maj+s) est maintenant disponible. Le mode veille désactive toutes les fonctions de revue d'écran de NVDA pour une application donnée. Ceci est très utile pour les application parlantes ou ayant leur propre système de revue d'écran. Pressez à nouveau la commande pour quitter le mode veille.
- Quelques touches de commande supplémentaire ont été ajoutées pour les terminaux braille. Consultez la section Terminaux braille pris en charge dans le guide de l'utilisateur pour des informations supplémentaires. (#209)
- Pour faciliter le travail des développeurs de podules complémentaires, les modules applicatifs ainsi que les plugins globaux peuvent maintenant être rechargés sans besoin de redémarrer NVDA. Utilisez Outils :> Rechargement des plugins dans le menu NVDA ou NVDA+control+f3. (#544)
- NVDA mémorise maintenant la position où vous vous trouviez  quand vous retournez à une page web déjà visitée. Cela reste vrai jusqu'à ce que vous fermiez le navigateur ou NVDA. (#132)
- On peut maintenant utiliser les terminaux braille Handy Tech sans installer le pilote universel Handy Tech. (#854)
- Prise en charge de plusieurs terminaux braille Baum, HumanWare et APH. (#937)
- La barre d'état sous Media Player Classic Home Cinema est maintenant reconnue.


== Changements ==
- L'information de position de l'objet n'est plus annoncée par défaut dans les cas où celle-ci était souvent incorrecte (beaucoup de menus, la liste des tâches actives, la zone de notification etc).
Cependant, cette annonce peut être réactivée grâce à une option dans le dialogue Présentation des objets.
- L'aide clavier a été renommée en aide des commandes pour souligner le fait que les commandes peuvent provenir de sources autres que le clavier.
- L'aide des commandes n'annonce plus le nom du script car cette information n'a pas d'intérêt pour l'utilisateur. Cependant, l'information est conservée dans le journal pour les développeurs et les utilisateurs avancés.
- Lorsque NVDA détecte qu'il est bloqué, il continue à intercepter les touches de commande, bien qu'il continue à passer toutes les autres touches directement au système. Cela empêche l'utilisateur de verrouiller les majuscule de manière non intentionnelle etc. (#939)
- Si des touches sont maintenues enfoncées après entrée de la commande indiquant de passer la touche suivante directement au système, toutes les touches (y compris leur répétition) sont passées directement au système jusqu'à relâche de la dernière touche.
- Si la touche NVDA est pressée deux fois rapidement de manière à ce que la seconde pression soit directement passée au système et que la seconde pression est maintenue, toutes les répétitions de la touche seront maintenant passée au système.
- Les touches permettant de hausser, baisser le volume et de rendre muet sont maintenant annoncées en mode aide de commandes. Ceci peut être utile si l'utilisateur n'est pas certain de connaître la fonction de ces touches.


== Correction de Bogues ==
- Quand on ajoute une nouvelle entrée au dictionnaire, le titre du dialogue est maintenant "Ajouter une entrée au dictionnaire" au lieu de "Editer une entrée du dictionnaire". (#924)
- Dans AIM, l'information de rang est maintenant annoncée dans les arborescences.
- Sur les potentiomètres du dialogue Paramètres vocaux, flèchehaut/pageprec/début augmentent la valeur du paramètre, flèchebas/pagesuiv/fin la diminuent. Précédemment, l'inverse seproduisait ce qui n'était pas logique et incohérent avec la boucle des paramètres synthétiseur. (#221)
- Si la touche NVDA est pressée deux fois rapidement mais qu'une autre touche est pressée dans l'intervalle, la seconde touche NVDA n'est plus passée au système.
- Les touches de ponctuation sont maintenant annoncées en mode aide des commandes même si l'annonce des ponctuation est désactivée. (#977)
- Dans le dialogue Paramètres du clavier, le nom des configurations clavier est maintenant présenté dans la langue choisie pour NVDA et non systématiquement en anglais. (#558)
- Correction d'un problème qui faisait que certains éléments étaient annoncés comme vides dans les documents Adobe reader; par exemple, les liens dans la table des matières du guide de l'utilisateur d'IOS 4.1 pour l'Iphone de Apple.
- Le bouton "Utilisez les paramètres NVDA actuellement sauvegardés pour l'écran de connexion à Windows" dans le dialogue "Paramètres généraux" fonctionne maintenant quand on l'utilise immédiatement après l'installation de NVDA mais avant qu'aucun écran sécurisé n'ait été utilisé. Précédemment, il prétendait fonctionnait alors qu'il n'en était rien. (#1194)
- Sur les systèmes où le contrôle d'accès utilisateur est activé, le bouton "Utilisez les paramètres NVDA actuellement sauvegardés pour l'écran de connexion à Windows" du dialogue "Paramètres généraux" fonctionne maintenant si le nom de compte utilisateur contient un blanc. (#918)
- Sous Internet Explorer et pour les autres contrôles MSHTML, NVDA utilise maintenant l'URL en dernier ressort pour déterminer le nom du lien plutôt que de présenter un lien vide. (#633)
- NVDA n'ignore plus le focus dans les menus d'AOL Instant Messenger 7. (#655)
- annonce de la bonne étiquette dans le dialogue de vérification orthographique de Microsoft Word (Ex : absent du dictionnaire, erreur grammaticale, ponctuation).
Précédemment, elles étaient toutes annoncées comme ereurs grammaticales. (#883)
- Entrer du texte sous Microsoft Word en utilisant un afficheur braille ne devrait plus provoquer l'apparition de caractères parasites ainsi qu'un blocage occasionnel à l'utilisation d'une touche de routing curseur. (#1212) Cependant, une limitation fait que les textes en Arabe ne peuvent plus être lus en braille sou Word 2003 et les versions antérieures. (#627)
- Quand on presse la touche effacement dans une zone d'édition, le curseur de texte, sur les afficheurs braille, devrait maintenant être toujours mis à jour correctement pour refléter le changement. (#947)
- Les changements dynamiques de page sous Gecko2 (Ex : Firefox 4) sont maintenant pris en compte correctemeent quand plusieurs onglets sont ouverts. Précédemment, seuls les changements affectant le premier onglet étaient pris en compte. (Bogue Mozilla 610985)
- NVDA annonce maintenant correctement les suggestions  pour les erreurs grammaticales ou de ponctuation dans le vérificateur orthographique de Microsoft Word. (#704)
- Sous Internet Explorer et pour les autres contrôles MSHTML, NVDA ne présente plus les ancres de destination comme des liens vides dans le document. Désormais, ces ancres sont cachées comme elles doivent l'être. (#1326)
- La navigation par objet dans et autour des fenêtres de groupage standards n'est plus impossible ou assymétrique.
- Sous Firefox et autres contrôles basés sur Gecko, NVDA ne reste plus bloqué dans un sous-cadre si le chargement de celui-ci se termine avant le chargement du document qui le contient.
- NVDA annonce maintenant correctemeent le caractère suivant quand un caractère est effacé en utilisant la touche effacer du pavé numérique. (#286)
- Sur l'écran de connexion à Windows XP, le nom de l'utilisateur est de nouveau annoncé quand on change d'utilisateur.
- Correction d'un problème de lecture de texte dans la console Windows quand l'annonce des numéros de lignes est activée.
- En mode navigation, le dialogue de la liste des liens est maintenant utilisable par une personne voyante. Tous les contrôles sont visibles à l'écran . (#1321)
- La liste d'entrées dans le dialogue du dictionnaire de prononciation est maintenant plus facile à utiliser pour une personne voyante, la liste étant assez large pour que toutes les colonnes soient visibles à l'écran. (#90)
- Sur les terminaux braille ALVA BC640/BC680, NVDA n'oublie plus les touches maintenues enfoncées après qu'une autre touche ait été relachée.
- Adobe Reader X ne se plante plus quand on quite l'option Document non balisé avant que le dialogue de mise en forme apparaisse; (#1218)
- NVDA active maintenant le bon terminal braille quand on recharge la configuration sauvegardée. (#1346)
- L'utilitaire de projet de Visual Studio 2008 et de nouveau lu correctement. (#974)
- NVDA ne refuse plus de fonctionner dans les applications dont le nom de programme comporte des caractères non Ascii. (#1352)
- Quand on lit ligne par ligne sous l'éditeur AkelPad, NVDA n'annonce plus le premier caractère de la ligne suivante à la fin de la ligne courante.
- Dans l'éditeur de code de Visual Studio 2005 ou 2008, NVDA ne lit plus l'ensemble du texte chaque fois qu'on entre un caractère. (#975)
- Correction du problème qui faisait que certains terminaux braille n'étaient pas effacés correctement quand on arrêtait NVDA ou quand on changeait de terminal.


== Changes for Developers ==
- SCons is now used to prepare the source tree and create binary builds, portable archives, installers, etc. See readme.txt at the root of the source distribution for details.
- The key names used by NVDA (including key maps) have been made more friendly/logical; e.g. upArrow instead of extendedUp and numpadPageUp instead of prior. See the vkCodes module for a list.
- All input from the user is now represented by an inputCore.InputGesture instance. (#601)
 - Each source of input subclasses the base InputGesture class.
 - Key presses on the system keyboard are encompassed by the keyboardHandler.KeyboardInputGesture class.
 - Presses of buttons, wheels and other controls on a braille display are encompassed by subclasses of the braille.BrailleDisplayGesture class. These subclasses are provided by each braille display driver.
- Input gestures are bound to ScriptableObjects using the ScriptableObject.bindGesture() method on an instance or an __gestures dict on the class which maps gesture identifiers to script names. See baseObject.ScriptableObject for details.
- App modules no longer have key map files. All input gesture bindings must be done in the app module itself.
- All scripts now take an InputGesture instance instead of a key press.
 - KeyboardInputGestures can be sent on to the OS using the send() method of the gesture.
- To send an arbitrary key press, you must now create a KeyboardInputGesture using KeyboardInputGesture.fromName() and then use its send() method.
- Locales may now provide an input gesture map file to add new bindings or override existing bindings for scripts anywhere in NVDA. (#810)
 - Locale gesture maps should be placed in locale\LANG\gestures.ini, where LANG is the language code.
 - See inputCore.GlobalGestureMap for details of the file format.
- The new LiveText and Terminal NVDAObject behaviors facilitate automatic reporting of new text. See those classes in NVDAObjects.behaviors for details. (#936)
 - The NVDAObjects.window.DisplayModelLiveText overlay class can be used for objects which must retrieve text written to the display.
 - See the mirc and putty app modules for usage examples.
- There is no longer an _default app module. App modules should instead subclass appModuleHandler.AppModule (the base AppModule class).
- Support for global plugins which can globally bind scripts, handle NVDAObject events and choose NVDAObject overlay classes. (#281) See globalPluginHandler.GlobalPlugin for details.
- On SynthDriver objects, the available* attributes for string settings (e.g. availableVoices and availableVariants)  are now OrderedDicts keyed by ID instead of lists.
- synthDriverHandler.VoiceInfo now takes an optional language argument which specifies the language of the voice.
- SynthDriver objects now provide a language attribute which specifies the language of the current voice.
 - The base implementation uses the language specified on the VoiceInfo objects in availableVoices. This is suitable for most synthesisers which support one language per voice.
- Braille display drivers have been enhanced to allow buttons, wheels and other controls to be bound to NVDA scripts:
 - Drivers can provide a global input gesture map to add bindings for scripts anywhere in NVDA.
 - They can also provide their own scripts to perform display specific functions.
 - See braille.BrailleDisplayDriver for details and existing braille display drivers for examples.
- The 'selfVoicing' property on AppModule classes has now been renamed to 'sleepMode'.
- The app module events event_appLoseFocus and event_appGainFocus have now been renamed to event_appModule_loseFocus and event_appModule_gainFocus, respectivly, in order to make the naming convention consistent with app modules and tree interceptors.
- All braille display drivers should now use braille.BrailleDisplayDriver instead of braille.BrailleDisplayDriverWithCursor.
 - The cursor is now managed outside of the driver.
 - Existing drivers need only change their class statement accordingly and rename their _display method to display.


= 2010.2 =

== Nouvelles fonctionnalités ==
- La navigation parmi les objets avec le curseur de revue a été grandement simplifiée. Le curseur de revue exclut maintenant les objets inutiles; par exemple, les objets ne servant qu'à des fins d'affichage ou les objets non disponibles.
- Dans les applications utilisant Java Access Bridge (parmi lesquelles OpenOffice.org), la mise en forme du texte peut maintenant être annoncée dans les zones d'éditions. ([[#358]], [[#463]])
- Quand on déplace la souris parmi des cellules Microsoft Excel, NVDA les annonce correctement.
- Dans les applications utilisant le Java Access Bridge, le texte d'un dialogue est maintenant annoncé quand le dialogue apparaît. (#554)
- On peut maintenant utiliser le mode navigation pour naviguer dans les contenus Adobe Flash. La navigation par objet et l'interaction directe avec les contrôles en activant le mode formulaire sont toujours supportés. (#453)
- Les contrôles de texte éditable dans l'environnement Eclipse, incluant l'éditeur de code, sont maintenant accessibles. Vous devez utiliser Eclipse 3.6 au minimum. (#256, #641)
- NVDA peut maintenant accéder à la plupart du texte écrit à l'écran. (#40, #643)
	- Cela permet de lire des contrôles qui n'exposent pas leur information d'une manière directe plus fiable.
	- Les contrôles rendus accessibles par ce moyen incluent certains éléments de menus qui affichent des icÔnes (ex. le menu "Ouvrir avec" des fichiers de Windows XP) (#151), les zones d'édition dans les applications Windows Live (#200), la liste des erreurs dans Outlook Express (#582), les zones d'édition dans TextPad (#605), les listes dans Eudora, beaucoup de contrôles dans le programme australien E-Tax et la barre de formules dans Microsoft Excel.
- Support de l'éditeur de code dans Microsoft Visual Studio 2005 et 2008. Il est nécessaire d'utiliser au moins Visual Studio Standard, cela ne fonctionne pas dans les éditions Express. (#457)
- Support des documents IBM Lotus Symphony.
- Support expérimental de Google Chrome. Veuillez noter que le support des revues d'écran par Google Chrome est loin d'être terminé et que du travail complémentaire sera peut-être nécessaire côté NVDA.
- L'état des touches (verrouillage majuscule, verrouillage numérique et arrêt défilement) est maintenant affiché en braille quand elles sont pressées. (#620)
- Les bulles d'aide sont maintenant affichées en braille quand elles apparaissent. (#652)
- Ajout d'un pilote pour l'afficheur braille MDV Lilli. (#241)
- Quand on sélectionne une ligne ou une colonne entière dans MS Excel par les raccourcis maj+espace ou ctrl+espace, la nouvelle sélection est maintenant annoncée. (#759)
- Dans les tableaux, les en-têtes de lignes ou de colonnes peuvent maintenant être annoncés. Ceci est configurable depuis le dialogue Mise en forme des documents du menu Préférences.
 - Actuellement, ceci est supporté dans les documents sous les applications Mozilla comme Firefox (à partir de la version 3.6.11) et Thunderbird (à partir de la version 3.1.5). (#361)
- Introduction de commandes pour la revue à plat : (#58)
 - NVDA+pavnum7  active la revue à plat, place le curseur de revue à la position de l'objet en cours, vous permettant d'explorer l'écran (ou un document) avec les commandes de revue de texte.
 - NVDA+pavnum1 Amène le curseur de revue dans l'objet représenté par le texte à la position du curseur de revue, vous permettant de naviguer par objets à partir de ce point.
- Les paramètres courants de NVDA peuvent maintenant être copiés sur
les écrans sécurisés de Windows tels que l'écran de connexion ou l'écran UAC en pressant un bouton dans le dialogue Paramètres généraux. (#730)
- Support de Mozilla Firefox 4.
- Support de Microsoft Internet Explorer 9.


== Changements ==
- Les commandes dire tout à partir de l'objet de navigation (NVDA+pavNumPlus), déplacer l'objet de navigation à l'objet suivant de même niveau (NVDA+pavNum6) et déplacer l'objet de navigation à l'objet précédent de même niveau (NVDA+pavNum4) ont été supprimées pour le moment. Elles sont boguées et cela libère des touches pour d'éventuelles nouvelles fonctionnalités.
- Dans le dialogue Synthétiseurs, seul le nom du synthétiseur est maintenant affiché. Précédemment, il était préfixé par le nom du pilote, ce qui n'a d'intérêt qu'en interne.
- Dans les applications embarquées ou les documents navigables à l'intérieur d'un autre document navigable (ex. Flash), vous pouvez maintenant presser nvda+control+espace pour quitter l'application embarquée ou le document navigable et retourner au document de niveau supérieur. Précédemment, on utilisait nvda+espace. Maintenant, nvda+espace est utilisé uniquement pour basculer entre le mode formulaire et le mode navigation dans les documents navigables.
- Si la visionneuse de parole (activée dans le menu Outils) reçoit le focus (ex. on a cliqué dessus) son contenu ne sera pas raffraîchi jusqu'à ce qu'on la quitte. Cela permet de sélectionner plus facilement le texte (Ex. pour copie).
- la visionneuse de journal et la console Python sont maximisées quand elles sontactivées.
- Quand le focus est dans une feuille de travail sous MS Excel, et que plusieurscellules sont sélectionnées, l'ensemble des sélections est annoncée, plutôt  que juste la cellule active. (#763)
- La sauvegarde de la configuration, et la modification de certaines options sensibles, sont maintenant désactivées quand NVDA s'exécute en mode sécurisé. (sur les écrans de connexion ou UAC).
- Mise à jour du synthétiseur eSpeak  à la version 1.44.01.
- Si NVDA est en cours d'exécution, L'activation du raccourci de NVDA sur le bureau (ou control+alt+n) arrêtera et relancera NVDA.
- Suppression de la case à cocher Annoncer le texte souris du dialogue Paramètres de la souris, remplacé par une case à cocher "Activer le suivi de la souris qui convient mieux au script Bascule du sivi de la souris (NVDA+m).
- Mise à jour de la configuration clavier Laptop pour qu'elle contienne toutes les commandes disponibles dans la configuration Desktop et qu'elle fonctionne sur les claviers non anglophones. (#798, #800)
- Améliorations et mises à jour significatives de la documentation incluant la documentation de la configuration clavier Laptop et la synchronisation entre le manuel Référence rapide des touches de commande et le guide utilisateur. (#455)
- Mise à jour du traducteur braille Liblouis à la version 2.11. Cela corrige en particulier des problèmes avec les tables de conversion chinoises et l'affichage des caractères non définis dans les tables. (#484, #499)


== Corrections de bogues ==
- Sous µTorrent, l'élément focalisé dans la liste de torrents n'est plus répété indéfiniment et ne vole plus le focus quand un menu s'ouvre.**
- Sous µTorrent, les noms des fichiers dans la liste de contenu du torrent sont maintenant annoncés.
- Dans les applications Mozilla, le focus est maintenant détecté correctement quand il arrive sur un tableau ou une arborescence vide.
- Dans les applications Mozilla, "non coché" est maintenant correctement annoncé pour les contrôles cochables tels que les cellules de tableaux cochables. [[(#571)]]
- dans les applications Mozilla, le texte des dialogues Aria correctement implémentés n'est plus ignoré et sera correctement annoncé quand le dialogue apparaît.
- Dans Internet Explorer et autres contrôles MSHTML, l'attribut de niveau Aria est maintenant honnoré correctement.
- Dans Internet Explorer et autres contrôles MSHTML, le rôle Aria est maintenant préféré aux autres informations de tupe pour donner une expérience Aria plus correcte et plus prévisible.
- Correction d'une panne rare dans Internet Explorer durant la navigation de cadre en cadre.
- Dans Microsoft Word documents, les textes écrits de droite à gauche (comme les textes en Arabe) sont de nouveau lisibles. (#627)
- Forte réduction du délain d'annonce quand une grande quantité de texte est affichée dans une console de commande sur les systèmes 64 bits. (#622)
- Si Skype est déjà actif quand NVDA démarre, il n'est plus nécessaire de redémarrer Skype pour activer l'accessibilité. Ceci peut être aussi vrai pour d'autre applications qui testent l'indicateur de présence d'une revue d'écran.
- dans les applications Microsoft Office, NVDA ne se plante plus quand on presse nvda+b ou quand on navigue sur certains objets des barres d'outils. (#616)
- Correction de l'annonce incorrecte de nombres contenant un 0 après un séparateur; ex. 1,023. (#593)
- Adobe Acrobat Pro et Reader 9 ne se plantent plus quand on ferme un fichier ou qu'on effectue certaines autres tâches. (#613)
- La sélection est maintenant annoncée quand on presse control+a pour sélectionner tout le texte dans certains champs d'édition comme sous Microsoft Word. (#761)
- Dans les contrôles Scintilla (ex. Notepad++), le texte n'est plus mal sélectionné quand NVDA déplace le curseur comme pendant dire tout. (#746)
- Il est à nouveau possible d'explorer le contenu des cellules sous MS Excel avec le curseur de revue.
- NVDA peut de nouveau lire ligne par ligne dans certaines zones de texte problématiques sous Internet Explorer 8. (#467)
- Windows Live Messenger 2009 ne s'arrête plus immédiatement après avoir démarré quand NVDA est actif. (#677)
- Dans les navigateurs internet, il n'est plus nécessaire de presser tab pour interagir avec les contenus embarqués comme les contenus flash après avoir pressé entrée sur l'objet embarqué ou en revenant d'une autre application. (#775)
- Dans les contrôles Scintilla (ex: Notepad++) le début des longues lignes n'est plus tronqué quand il sort de l'écran. Ces longues lignes sont également correctement affichées en Braille quand elles sont sélectionnées.
- Sous Loudtalks, il est maintenant possible d'accéder à la liste des contacts.
- L'url du document et "MSAAHTML Registered Handler" ne sont plus annoncés de manière incongrue sous Internet Explorer et les autres contrôles MSHTML. (#811)
- Dans les arborescence de l'éditeur d'Eclipse, l'élément précédemment en focus n'est plus annoncé par erreur quand un nouvel élément prend le focus.
- NVDA fonctionne maintenant correctement sur les systèmes où le répertoire courant a été retiré du chemin de recherche des dlls
 (en mettant l'entrée de registre CWWDIllegalInDllSearch à 0xFFFFFFFF). Note :  ceci ne concerne pas la plupart des utilisateurs. (#907)
- Quand les commandes de navigation dans un tableau sont utilisées hors d'un tableau sous Microsoft word, "limite du tableau" n'est plus annoncé après "hors du tableau". (#921)
- Sous Microsoft Word, quand les commandes de navigation dans un tableau ne peuvent plus agir parce qu'on a atteint la limite du tableau, "limite du tableau" est maintenant annoncé dans la langue configurée dans NVDA et non systématiquement en anglais. (#921)
- Quand on déplace le curseur principal en mode navigation, le curseur de revue donne accès à l'ensemble du document et non plus uniquement à l'objet en focus.
- Sous Outlook Express, Windows Mail et Windows Live Mail, l'état des cases à cocher dans les listes de règles de messages est maintenant annoncé. (#576)
- La description des règles de messages peut maintenant être lue sous Windows Live Mail 2010.


= 2010.1 =


Cette version met l'accent principalement sur des corrections de bugs et des améliorations de l'expérience utilisateur. Elle introduit notamment certains correctifs significatifs visant la stabilité.



== Nouvelles fonctionnalités ==

- NVDA n'échoue plus lors de son lancement sur un système quand aucun périphérique de sortie audio n'est présent. Bien entendu, un afficheur braille ou le synthétiseur Silence en liaison avec la visionneuse de parole devra être utilisé pour la sortie dans ce cas. ([[#425]])
- La case à cocher (annoncer les repères de navigation) a été ajoutée à la boîte de dialogue de paramètres de formatage du document. Elle vous permet de déterminer si NVDA doit annoncer les points de repère dans les documents Web. Afin d'assurer la compatibilité avec la version précédente, cette option est activée par défaut.
- Si annoncer les touches de commande est activée, NVDA va maintenant annoncer les noms des touches multimédia (par exemple, jouer, arrêter, page d'accueil, etc) disponibles sur de nombreux claviers quand elles sont actionnées. ([[#472]])
- NVDA annonce maintenant le mot lors de sa suppression lorsque vous appuyez sur Ctrl + Retour arrière dans les applications qui supportent un tel paramètre. [[(#491)]]
- Les touches fléchées peuvent désormais être utilisées dans la fenêtre de Web Formator pour naviguer et lire le texte. ([[#452]])
- La liste des entrées du carnet d'adresses Microsoft Office Outlook est maintenant supportée.
- NVDA supporte beaucoup mieux les documents modifiables intégrés en (mode conception) dans Internet Explorer. ([[#402]])
- Un nouveau script (NVDA + Maj + Moins du pavé numérique) vous permet de déplacer le focus du système à l'objet de navigation courant.
- De nouveaux scripts pour verrouiller et déverrouiller les boutons gauche et droit. Utile pour réaliser les opérations de glisser déposer. maj + Divisé du pavé numérique pour verrouiller / déverrouiller le bouton gauche, Maj + Multiplié du pavé numérique pour verrouiller ou déverrouiller le bouton droit.
- Ajout de nouvelles table Braille: Allemand 8 points braille informatique, Allemand abrégé grade 2, finnois 8 points braille informatique, chinois (Hong Kong, Cantonais), Chinois (Taiwan, Mandarin). ([[#344]], [[#369]], [[#415]], [[#450]])
- Il est maintenant possible de désactiver la création du raccourci sur le bureau (et donc la combinaison de touches de lancement) lors de l'installation de NVDA. ([[#518]])
- NVDA peut, à présent, exploiter IAccessible2 lorsqu'il est présents dans les applications 64 bits. ([[#479]])
- Amélioration du support pour les régions Live dans des applications Mozilla. ([[#246]])
- Le contrôleur NVDA Client API est maintenant prévu pour permettre aux applications de contrôler NVDA, par exemple pour vocaliser du texte, désactiver la parole, afficher un message en Braille...etc
- Les informations et les messages d'erreur sont désormais lus dans l'écran d'ouverture de session sous Windows Vista et Windows 7. ([[#506]])
- Dans Adobe Reader, les formulaires PDF interactifs développés avec Adobe LiveCycle sont maintenant supportés. ([[#475]])
- Dans Miranda IM, NVDA maintenant lit automatiquement les messages entrants dans les fenêtres de discussion si la notification de modifications de contenu dynamique est activé. En outre, des commandes ont été ajoutées pour permettre l'annonce des trois plus récents messages (NVDA + contrôle + numéro). ([[#546]])
- Les champs de saisie de texte sont désormais compatibles avec le contenu Adobe Flash. ([[#461]])


== Changements ==

- Le message d'aide clavier extrêmement verbeux dans le menu Démarrer de Windows 7 n'est plus vocalisé.
- Le synthétiseur (Display) a été remplacé par un nouveau visualiseur de la parole. Pour l'activer, choisissez (Visionneuse de Parole) à partir du menu Outils. Le visualiseur de parole peut être utilisé indépendamment de la synthèse vocale que vous utilisez. ([[#44]])
- Les messages s'affichant en Braille seront automatiquement abandonné si l'utilisateur appuie sur une touche qui se traduit par un changement tel qu'un mouvement de focus. Auparavant, le message restait affiché pendant la durée qui a été initialement configurée.
- Possibilité de choisir si le Braille doit être attaché au focus ou au pointeur de revue (NVDA + Ctrl + T). Ceci peut désormais être également paramétré à partir de la boîte de dialogue des options Braille, et est enregistré dans la configuration utilisateur.
- Mise à jour de la synthèse vocale eSpeak vers la version 1.43.03.
- Mise à jour de Liblouis vers la version 1.8.0.
- En mode navigation, l'annonce des éléments lors du déplacement par caractère ou par mot a été nettement améliorée. Auparavant, beaucoup d'informations non-pertinentes étaient transmises et les rapports étaient très différents de ceux obtenus lors du déplacement par ligne. ([[#490]])
- Désormais, la touche Ctrl arrête tout simplement la parole comme c'est le cas pour les autres touches, plutôt que de la mettre en pause. Pour suspendre / reprendre la parole, utilisez la touche Maj.
- Le nombre de ligne et de colonnes des tableaux ne sont plus annoncés quand le focus change, car cette annonce est plutôt verbeuse et n'est généralement pas utile.


== Corrections de bogues ==

- NVDA n'échoue plus lors de son lancement si la prise en charge de l'UI Automation semble disponible mais que l'initialisation de ce dernier échoue pour une raison quelconque. ([[#483]])
- Le contenu d'une ligne de tableau n'est plus annoncé comme c'était le cas parfois, lors du déplacement du focus dans une cellule dans les applications Mozilla. ([[#482]])
- NVDA ne met plus aussi longtemps, quand il s'agit de développer les branches d'une arborescence qui contiennent une quantité très importante de sous-éléments.
- Quand il dresse la liste des voix SAPI 5, NVDA tentera, désormais, de détecter les voix qui dysfonctionnent et les exclura de la boîte de dialogue Paramètres de la voix et de l'anneau paramètres des synthétiseurs. Auparavant, même quand il n'y avait qu'une seule voix posant problème, il arrivait au pilote SAPI 5 intégré à NVDA de ne pas démarrer correctement.
- En mode navigation, les touches de raccourci de l'objet sont correctement annoncées, conformément à ce qui est défini dans les paramètres de la boîte de dialogue Présentation des objets. ([[#486]])
- En mode navigation, les coordonnées d'une ligne ou d'une colonne ne sont plus mal lues pour les en-têtes de ligne et de colonne quand l'annonce des tableaux est désactivée.
- En mode navigation, les coordonnées de la ligne ou celles d'une colonne sont désormais détectées correctement lorsque vous quittez un tableau, puis réintégrez la même cellule sans visiter d'abord une autre cellule ; par exemple, en appuyant sur Flèche-Haut puis Flèche-Bas sur la première cellule d'un tableau. ([[#378]])
- Les lignes vides dans les documents Microsoft Word et dans les zones d'édition Microsoft HTML figurent maintenant correctement sur les afficheurs Braille. Précédemment, NVDA affichait la phrase actuelle en Braille, mais pas la ligne actuelle dans ce cas-là. ([[#420]])
- Introductions de plusieurs correctifs de sécurité lors de l'exécution de NVDA à l'ouverture de session Windows et en présence d'autres bureaux sécurisés. [[(#515)]]
- La position du curseur (caret) est maintenant correctement mise à jour lorsque vous effectuez une lecture intégrale qui s'arrête au bas de l'écran, dans les champs d'édition Windows standard et des documents Microsoft Word. ([[#418]])
- En mode navigation, le texte n'est plus incorrectement inclus pour des images dans les liens et les autres objets cliquables lorsque ceux-ci sont marqués comme étant incompatibles avec les lecteurs d'écran. ([[#423]])
- Des corrections ont été apportées à la disposition du clavier Laptop. ([[#517]])
- Lorsque le curseur Braille est attaché au pointeur de la revue est que vous focalisez une fenêtre de console DOS, le curseur de la revue peut accéder maintenant correctement au texte de celle-ci.
- Lorsque vous travaillez avec TeamTalk3 ou TeamTalk4 classique, la barre de progression du VuMètre dans la fenêtre principale n'est plus annoncée au fur et à mesure qu'elle s'actualise. De plus, des caractères spéciaux peuvent être lus correctement dans la fenêtre de chat entrant.
- Les éléments du menu démarrer ne sont plus annoncés deux fois sous Windows 7. ([[#474]])
- L'activation des liens même-page sous Firefox 3.6 déplace le curseur dans le document et le positionne à l'endroit approprié sur la page.
- Résolution du problème où certains texte n'était pas restitués sous Adobe Reader. Cela concernait certains types de documents PDF.
- NVDA ne lit plus incorrectement certains nombres séparés par un tiret, par exemple 500-1000. ([[#547]])
- Sous Windows XP, NVDA ne provoque plus le gel d'Internet Explorer lorsque l'état des cases à cocher change dans Windows Update. ([[#477]])
- Lorsque vous utilisez la synthèse vocale intégrée ESpeak, avec l'option émettre des bips et parler, cela ne cause plus des plantages intermittents sur certains systèmes. Ce bogue a été observé, par exemple, lors de la copie de grandes quantités de données via l'Explorateur Windows.
- NVDA n'annonce plus qu'un document Firefox est occupé (par exemple en raison d'une mise à jour ou de rafraîchissement) lorsque ce document est en arrière-plan. Cela faisait également que la barre d'état de l'application au premier plan soit indûment annoncée.
- Lors du basculement entre les dispositions de clavier Windows (avec Ctrl + Maj ou Alt + Maj), le nom complet de la méthode d'entrée est signalé vocalement et en Braille. Avant, cette commutation était parlée seulement, et les claviers alternatifs (par exemple Dvorak) n'étaient pas reportés du tout.
- Si la case annoncer les tableaux est décochée, les informations du tableau ne sont plus données quand le focus change.
- Certains contrôles de vues arborescentes standard dans les applications 64 bits, (par exemple le contenu de l'arborescence dans Microsoft HTML Help) sont désormais accessibles. ([[#473]])
- Correction de quelques problèmes avec la journalisation de messages contenant des caractères non-ASCII. Cela pouvait causer la consignation d'erreurs parasites dans certains cas, sur les systèmes non-Anglais. ([[#581]])
- Les informations contenues dans la boîte de dialogue A propos de NVDA apparaissent maintenant dans la langue système ou celle configurée par l'utilisateur au lieu de s'afficher toujours en anglais. ([[#586]])
- Plus aucun problème n'est rencontré après que la boîte de dialogue Synthétiseurs ait été utilisée pour migrer d'une voix vers une autre qui dispose de paramétrages moins nombreux que la voix de départ.
- Dans la fenêtre de Skype 4.2, les noms de contacts ne sont plus vocalisés deux fois dans la liste de contacts.
- Correction de quelques fuites de mémoire potentiellement important au niveau de l'interface graphique et en mode navigation. ([[#590]], [[#591]])
- Contournement d'un dysfonctionnement grave de quelques synthétiseurs SAPI 4 qui était à l'origine des erreurs fréquentes et des blocages de NVDA. ([[#597]])


= 2009.1 =


Les points forts principaux de cette version comprennent le support des éditions 64 bits de Windows; la prise en charge améliorée des documents s'affichant sous Microsoft Internet Explorer et Adobe Reader; le support de Windows 7, la lecture de l'ouverture de session Windows, Ctrl + ALT + SUPPR et des écrans Contrôle du Compte Utilisateur (UAC) ainsi que la possibilité d'interagir avec les contenus Adobe Flash et Sun Java sur des pages Web. Il ya eu également plusieurs correctifs de stabilité et des améliorations significatives touchant l'expérience générale des utilisateurs.



== Nouvelles fonctionnalités ==

- Le support officiel des éditions 64 bits de Windows! [[(#309)]]
- Ajout d'un pilote pour la synthèse vocale Newfon. Notez que cela nécessite une version spéciale de celle-ci. [[(#206)]]
- Dans les documents navigables, le mode formulaire et le mode navigation peuvent désormais être signalés en utilisant des sons distincts au lieu de la parole. Cette fonction est activée par défaut. Ceci peut être configuré à partir de la boîte de dialogue Mode Navigation. [[(#244)]]
- NVDA n'interrompt plus la parole lorsque les touches de réglage du volume sont actionnées au clavier, ce qui permet à l'utilisateur de modifier le volume et écouter immédiatement le résultat. [[(#287)]]
- Le support des documents nécessitant Microsoft Internet Explorer et Adobe Reader a été complètement réécrit. Ce support a été unifié avec le support de base utilisé pour Mozilla Gecko. Ainsi, des fonctions telles que le chargement rapide des pages, la navigation extensive utilisant les touches rapide, la liste des liens, la sélection de texte, le mode formulaire automatique et le support Braille sont maintenant disponibles avec ces documents.
- Amélioration de prise en charge de l’élément Sélection de la date qui fait partie de la boîte de dialogue Propriétés de la date / heure sous Windows Vista.
- Prise en charge améliorée du Menu Démarrer moderne sous Windows XP / Vista, (en particulier l'élément (Tous les programmes). L’information appropriée de niveau des entrées composant les menus est maintenant annoncée.
- La quantité de texte annoncé quand la souris est déplacée est maintenant configurable à partir de la boîte de dialogue Paramètres de la Souris. Un choix entre paragraphe, ligne, mot ou caractère peut être fait.
- Annonce des fautes d'orthographe sous le curseur dans Microsoft Word.
- Support du vérificateur orthographique de Microsoft Word 2007. Une prise en charge partielle peut être disponible pour les versions antérieures de Microsoft Word.
- Meilleur support pour Windows Live Mail. Les messages en texte brut peuvent désormais être lus et les éditeurs des courriels au format texte brut et HTML sont utilisables.
- Sous Windows Vista, si l'utilisateur se déplace vers le bureau sécurisé (soit parce que la boîte de dialogue de contrôle UAC apparaît, ou parce que la combinaison CTRL+ALT+SUPPR a été tapée), NVDA annonce le fait que l'utilisateur est maintenant sur le bureau sécurisé.
- NVDA peut annoncer le texte sous la souris dans les fenêtres de console DOS.
- Support pour UI Automation via le client UI Automation API disponibles dans Windows 7, plus quelques corrections visant l’amélioration des performances de NVDA sous cet environnement.
- NVDA peut être configuré pour démarrer automatiquement lorsque vous ouvrez une session Windows. Cette option se trouve dans la boîte de dialogue Paramètres généraux.
- NVDA peut lire les écrans sécurisés de Windows telles que celui de l'ouverture de session, CTRL+ALT+SUPPR ainsi que celui du Contrôle du Compte Utilisateur sous Xp et versions ultérieures.
- Ajout d'un pilote pour les afficheurs Braille Optelec ALVA série BC6.
- Lors du parcours des pages Web, vous pouvez maintenant appuyer sur n et Maj+n respectivement pour vous déplacer entre des blocs de liens en avant ou en arrière.
- Lorsque vous naviguez dans des documents Web, les points de repère ARIA sont maintenant annoncés et vous pouvez les parcourir vers l’avant ou en arrière en utilisant d et shift+d, respectivement. [[(#192)]].
- La boîte de dialogue Liste des liens disponible pour les pages Web est devenue une liste d’éléments. Celle-ci peut contenir des liens, des titres et des points de repère. Les titres et les repères sont présentés hiérarchiquement. [[(#363)]]
- La nouvelle boîte de dialogue Liste des éléments contient un champ "filtrer par", permettant de trier la liste pour ne montrer que les éléments correspondant au texte qui a été tapé. [[(#173)]]
- Les versions portables de NVDA détectent maintenant les configurations utilisateur si celles-ci sont présentes dans le dossier «UserConfig« se trouvant dans le répertoire NVDA, et les appliquent s’il y a lieu. Tout comme pour les versions avec programme d'installation, les configurations utilisateur et la configuration de NVDA lui-même sont séparées.
- Les modules d’applications qui ont été personnalisées, les pilotes d'affichage Braille et ceux des synthèses vocales peuvent maintenant être sauvegardés dans le répertoire de configuration de l'utilisateur. [[(#337)]]
- Les écrans virtuels sont maintenant restitués en arrière-plan, ce qui permet à l'utilisateur d'interagir avec le système dans une certaine mesure au cours du processus de rendu. L'utilisateur sera averti que le document est en cours de formatage si le temps de chargement de l'écran prend plus d'une seconde.
- Si NVDA détecte qu'il a gelé pour une raison quelconque, il libèrera automatiquement toutes les frappes de sorte que l'utilisateur ait une meilleure chance de récupérer le système.
- Support du glisser-déposer dans les ARIAS Gecko de MOZILLA. [[(#239)]]
- Le titre du document, la ligne courante ou le contenu de la sélection sont maintenant vocalisés lorsque vous déplacer le focus dans un document navigable. Cela rend le comportement de la navigation  plus compatible avec celui pratiqué en présence d’objets ou documents normaux. [[(#210)]]
- En mode navigation, vous pouvez maintenant interagir avec les objets inclus (tels que les contenus Adobe Flash et Sun Java) en appuyant sur ENTRÉE quand vous y êtes positionné. Si l’objet inclus est accessible, vous pouvez ensuite tabuler autour de lui comme dans toute autre application. Pour revenir à la navigation dans le document, appuyez sur NVDA+Espace. [[(#431)]]
- En mode navigation, o et Maj+o déplacent vers l'objet inclus suivant et précédent, respectivement.
- Désormais, NVDA peut accéder entièrement aux applications en cours d'exécution en tant qu'administrateur sous Windows Vista et versions ultérieures. Vous devez installer une version officielle de NVDA pour que cela fonctionne. Cela ne fonctionne pas pour les versions portables et les versions dites de développement, (Snapshots). [[(#397)]]


== Changements ==

- NVDA n'annonce plus "NVDA est prêt" quand il se lance.
- Les sons de démarrage et d’arrêt de NVDA sont maintenant joués avec le périphérique audio configuré dans NVDA au lieu du périphérique Windows par défaut. [[(#164)]]
- Les annonces de barres de progression ont été améliorées. Plus précisément, vous pouvez maintenant configurer NVDA de façon à ce qu'il les affiche, qu'il émette un signal sonore, ou même activer l'annonce et les signaux sonores en même temps.
- Certains rôles génériques, tels que volet, application ou cadre, ne sont plus signalés en cours de navigation à moins que le contrôle soit sans nom.
- La commande de revue «copie du texte sélectionné» (NVDA+f10) copie la sélection à partir du marqueur de début jusqu'à et y compris, la position du curseur, au lieu d'exclure la position de revue courante. Cela permet la copie du dernier caractère d'une ligne, ce qui n'était pas possible auparavant. [[(#430)]]
- Le script navigatorObject_where (Ctrl+ NVDA+5 du pavé numérique) a été supprimé. Cette combinaison de touches ne fonctionne pas sur certains claviers, et le script en question n’a pas été jugé très utile.
- Le script navigatorObject_currentDimentions a été réassigné à NVDA+Supprimer du pavé numérique. L'ancienne combinaison de touches ne fonctionnait pas sur certains claviers. Ce script rapporte maintenant la largeur et la hauteur de l'objet au lieu des coordonnées droite / bas.
- Amélioration des performances (en particulier sur les netbooks) où de nombreux bips se produisent en une succession rapide, par exemple lors du mouvement de la souris véloce avec coordonnées audio activées. [[(#396)]]
- Le son d'erreur de NVDA n'est plus joué dans les versions candidates et les versions finales. Notez que les rapports d'erreurs sont toujours activés.


== Correction de bogues ==

- Quand NVDA est exécuté à partir d'un chemin DOS 8.3, mais qu’il est installé dans le chemin d'accès long correspondant (par exemple progra~1 versus Program Files) NVDA identifie correctement la copie installée et charge les paramètres utilisateur en mémoire.
- L’annonce du titre de la fenêtre en premier plan en cours obtenue par la commande NVDA+t fonctionne désormais correctement quand on est dans les menus.
- L’affichage en Braille n’inclut plus d'informations inutiles dans le contexte d’une navigation, telles que les volets non-étiquetés.
- Plus question d'annoncer des informations inutiles lors d’un changement de focus, comme pour les volets racine, les volets en couches et les volets de défilement dans les applications Java ou les applications Lotus.
- Rendu les champs de recherche par mot-clé dans l’afficheur d'aide Windows (CHM) beaucoup plus utilisable. En raison du dysfonctionnement permanent de cette zone, le mot-clé actuelle ne pouvait pas être lu, car en évolution constante.
- Annonce correcte des numéros de pages sous Microsoft Word, si la numérotation des pages a été spécifiquement modifiée dans le document.
- Prise en charge meilleure des champs d’éditions dans les boîtes de dialogue Microsoft Word (par exemple, la boîte de dialogue Polices). Il est maintenant possible de naviguer dans ces zones avec les touches fléchées.
- Prise en charge améliorée des fenêtre DOS. En concret: NVDA peut maintenant lire le contenu de certaines consoles qu’il considérait vierges habituellement.
- L’appui sur Ctrl+pause n’arrête plus NVDA.
- Sous Windows Vista et versions ultérieures, l'installation de NVDA le démarre maintenant avec les privilèges utilisateur normal lors de la demande d'exécuter NVDA qui s’affiche en fin d’installation.
- La touche Backspace est maintenant traitées correctement en mode écho clavier par mots. [[(#306)]]
- Ne pas dire de manière incorrecte "Menu Démarrer" en présence des menus contextuels dans l'Explorateur Windows / le shell Windows. [[(#257)]]
- NVDA gère désormais correctement les étiquettes ARIA dans Mozilla Gecko lorsqu'il n'y a pas d'autres contenus utiles. [[(#156)]]
- NVDA ne passe plus automatiquement en mode formulaire de façon incorrecte dans les champs modifiables qui mettent à jour leur valeur lors des changements de focus, comme c’était le cas pour [[http://tigerdirect.com/]]. [[(#220)]]
- NVDA tentera, désormais, de se remettre de certaines situations qui, auparavant, provoquaient son gel complet. Cela peut prendre jusqu'à 10 secondes avant que NVDA ne détecte et récupère d'un tel gel.
- Quand la langue NVDA est réglée sur "User-Default", utiliser la langue d'affichage de l’utilisateur Windows au lieu de la configuration locale Windows. [[(#353)]]
- NVDA reconnaît maintenant l'existence des contrôles dans AOL Instant Messenger 7.
- La commande «passer la touche à l’application active» ne se bloque plus lorsqu’une touche est maintenue enfoncée. Auparavant, NVDA cessé d'accepter des commandes si cela se produisait et devait être redémarré. [[(#413)]]
- La barre des tâches n'est plus ignorée quand elle reçoit le focus, ce qui se produit souvent lorsque vous quittez une application. Auparavant, NVDA se comportaient comme si le focus n'avait pas du tout changé.
- Lors de l’exploration des zones detexte dans les applications qui utilisent Java Access Bridge (comme dans OpenOffice.org), NVDA fonctionne désormais correctement lorsque l’annonce des numéros de ligne est activée.
- La commande de revue de copie (NVDA+f10) traite correctement la situation où elle est utilisée sur une position avant le marqueur de début. Auparavant, cela pouvait causer des problèmes tels que des arrêts intermittents de NotePad++.
- Certains caractères de contrôle du type (0x1) ne provoque plus un comportement étrange de eSpeak (comme des variations de volume et de hauteur) quand il est rencontré dans le texte. [[(#437)]]
- La commande dire le texte sélectionné (NVDA+Maj+flèche haut) annonce maintenant correctement qu'il n'y a pas de sélection dans les objets qui ne supportent pas la sélection de texte.
- Correction d'un problème où l’appui sur la touche ENTRÉE sur les boutons de Miranda-IM ou sur certains de ses liens causait le gel de NVDA. [[(#440)]]
- La ligne actuelle ou la sélection est maintenant correctement respectée lors de l'épellation ou la copie de l'objet de navigation courant.
- Travaill autour d'un dysfonctionnement qui causait la vocalisation de certains éléments indésirables de la corbeille de Windows après le nom des liens, surtout dans les boîtes de dialogue de l'Explorateur Windows et celles de Internet Explorer. [[(#451)]]
- Correction d'un problème d’annonce de la date et de l’heure par le biais de la commande (NVDA+F12). Antérieurement, l’annonce de la date était tronquée sur certains systèmes. [[(#471)]]
- Résolution du problème où le signe représentant le lecteur d’écran actif sur le système était parfois estompé inopinément après l'interaction avec des écrans sécurisés de Windows. Cela pouvait provoquer des problèmes dans les applications qui vérifient le signe indiquant la présence d’un lecteur d'écran, ce qui inclut Skype, Adobe Reader et Jart. [[(#462)]]
- Dans une zone de liste déroulante sous Internet Explorer 6, l'élément actif est maintenant annoncé quand il est atteint. [[(#342)]]


= 0.6p3 =

== Nouvelles fonctionnalités ==

- Comme la barre de formule de calcul Microsoft Excel est inaccessible à NVDA, une boîte de dialogue NVDA spécifique a été prévue lorsque l'utilisateur appuie sur F2 pour éditer une cellule.
- Prise en charge du formatage de texte dans les contrôles IAccessible2, y compris les applications Mozilla.
- Les fautes d’orthographe peuvent maintenant être signalé lorsque cela est possible. Ceci est configurable à partir de la boîte de dialogue Mise en forme du document sous le menu Préférences.
- NVDA peut être configuré pour émettre un signal sonore, soit pour toutes les barres de progression ou seulement pour indiquer celles qui sont visibles. Alternativement, il peut être configuré pour vocaliser les valeurs des barres de progression toutes les 10%.
- Les liens peuvent maintenant être identifiés dans des contrôles RichEdit.
- Maintenant, la souris peut être déplacée vers le caractère sous le curseur de revue en présence de la plupart des zones d’édition. Auparavant, la souris ne pouvait atteindre que le milieu de la zone modifiable.
- En mode navigation, le pointeur de revue capture désormais le texte de la mémoire tampon, pas uniquement le texte interne de l'objet de navigation (qui n'est souvent pas nécessaire pour l'utilisateur). Cela signifie que vous pouvez naviguer dans le document hiérarchiquement en utilisant l'objet de navigation et le curseur de revue se déplace jusqu'à cet endroit dans la mémoire tampon.
- Gérer certains états supplémentaires des zones en Java.
- Si la commande titre (NVDA+t) est actionnée deux fois rapidement, NVDA épelle le titre. Si vous effectuez trois fois cette combinaison de touches, le titre est copié dans le presse-papiers.
- L’aide clavier prononce maintenant les noms des touches de modification lorsque vous les enfoncez toutes seules.
- Les noms des touches annoncées par l'aide clavier sont maintenant traduisibles.
- Ajout du support pour la zone de texte reconnu dans SiRecognizer. [[(#198)]]
- Support des afficheurs braille!
- Ajout de la commande (NVDA+c) pour lire le texte se trouvant dans le presse-papiers de Windows. [[(#193)]]
- Dans les documents navigables, si NVDA passe automatiquement en mode formulaire, vous pouvez utiliser la touche ÉCHAPPE pour revenir en mode navigation. NVDA+espace peut également être utilisée.
- Dans les documents navigables, lorsque le focus change ou que le curseur est déplacé, NVDA peut basculer automatiquement en mode formulaire ou en mode navigation en fonction de la commande sous le curseur. Ce paramètre est configuré à partir de la boîte de dialogue Mode Navigation. [[(#157)]]
- Réécriture du pilote des synthèses vocales fonctionnant selon la norme SAPI4. Cette nouvelle mouture remplace le pilote Sapi4 fourni par Serotek et les pilotes Sapi4 ActiveVoice et devrait corriger les problèmes rencontrés avec ces pilotes.
- L'application NVDA comprend maintenant un manifeste, ce qui signifie qu'elle ne fonctionne plus en mode de compatibilité sous Windows Vista.
- Le fichier de configuration et des dictionnaires des synthétiseurs de parole sont maintenant sauvegardées dans le dossier applications data de l'utilisateur si NVDA a été installé. Cela est nécessaire pour Windows Vista et permet également aux utilisateurs d'avoir plusieurs configurations individuelles.
- Ajout de support des informations sur la position dans les contrôles IAccessible2.
- Possibilité de copier du texte dans le presse-papiers en utilisant le pointeur de revue. NVDA+F9 définit le marqueur de début jusqu’à la position actuelle du curseur de revue. NVDA+F10 récupère le texte entre les marqueurs de début et la position actuelle du curseur de revue puis le copie dans le presse-papiers. [[(#240)]]
- Ajout du support pour certaines zones d'édition du logiciel TV Pinacle.
- Lors de l’annonce de sélections, si le texte sélectionné est assez long, (512 caractères ou plus), NVDA donne désormais le nombre de caractères sélectionnés, plutôt que de dire toute la sélection. [[(#249)]]


== Changements ==

- Si la sortie audio est configurée de façon à utiliser le périphérique par défaut de Windows (Mappeur de son Microsoft), NVDA dirigera ESpeak au périphérique par défaut. Il émettra un signal sonore en cas de changement de carte son. Par exemple, NVDA se tournera vers un périphérique audio USB si celui-ci est connecté et qu’il devient automatiquement le périphérique actif.
- Amélioration des performances de la synthèse vocale ESpeak avec certains pilotes audio de Windows Vista.
- Les annonces des liens, des titres, des tableaux, des listes et des blocs de citation peuvent être configuré à partir de la boîte de dialogue Mise en forme du document. Avant, pour configurer ces paramètres pour le mode navigation, il fallait recourir à la boîte de dialogue Mode Navigation. Maintenant, tous les documents obéissent à cette configuration.
- Le débit par défaut est maintenant activé dans la boîte de dialogue Synthétiseurs.
- Amélioration du chargement et du déchargement des modules d’applications.
- La commande Titre (NVDA+t) n’annonce maintenant que le titre au lieu de l'objet entier. Si l'objet de premier plan n'a pas de nom, le nom du processus de l'application est utilisé.
- Au lieu des indication (Mode Focus) et (Mode Tampon Virtuel), NVDA annonce (Mode formulaire) et (Mode navigation).
- Les voix sont maintenant sauvegardées dans le fichier de configuration selon leur ID et non par index. Cela rend les paramètres vocaux plus fiables quel que soit la version du système d’exploitation et les changements de configuration. Ces paramètres ne seront pas conservées dans des configurations anciennes et une erreur peut être écrite dans le journal la première fois qu’un synthétiseur est utilisé. [[(#19)]]
- Le niveau d'un élément d'arborescence est maintenant annoncé en premier s'il a changé par rapport à l’élément précédemment focalisé pour toutes les vues arborescentes. Auparavant, cela n'était valable que pour les arborescences Windows en natif, (SysTreeView32).


== Correction de bogues ==

- The last chunk of audio is no longer cut off when using NVDA with eSpeak on a remote desktop server.
- Fix problems with saving speech dictionaries for certain voices.
- Eliminate the lag when moving by units other than character (word, line, etc.) towards the bottom of large plain text documents in Mozilla Gecko virtual buffers. ([[#155]])
- If speak typed words is enabled, announce the word when enter is pressed.
- Fix some character set issues in richedit documents.
- The NVDA log viewer now uses richedit instead of just edit to display the log. This improves reading by word with NVDA.
- Fix some issues related to embedded objects in richedit controls.
- NVDA now reads page numbers in Microsoft Word. ([[#120]])
- Fix the issue where tabbing to a checked checkbox in a Mozilla Gecko virtual buffer and pressing space would not announce that the checkbox was being unchecked.
- Correctly report partially checked checkboxes in Mozilla applications.
- If the text selection expands or shrinks in both directions, read the selection as one chunk instead of two.
- When reading with the mouse, text in Mozilla Gecko edit fields should now be read.
- Say all should no longer cause certain SAPI5 synthesizers to crash.
- Fixed an issue which meant that text selection changes were not being read in Windows standard edit controls before the first focus change after NVDA was started.
- Fix mouse tracking in Java objects. ([[#185]])
- NVDA no longer reports Java tree view items with no children as being collapsed.
- Announce the object with focus when a Java window comes to the foreground. Previously, only the top-level Java object was announced.
- The eSpeak synthesizer driver no longer stops speaking completely after a single error.
- Fix the issue whereby updated voice parameters (rate, pitch, etc.) were not saved when the voice was changed from the synthesizer settings ring.
- Improved the speaking of typed characters and words.
- Some new text that was previously not spoken in text console applications (such as some text adventure games) is now spoken.
- NVDA now ignores focus changes in background windows. Previously, a background focus change could be treated as if the real focus changed.
- Improved the detection of the focus when leaving context menus. Previously, NVDA often didn't react at all when leaving a context menu.
- NVDA now announces when the context menu is activated in the Start menu.
- The classic Start menu is now announced as Start menu instead of Application menu.
- Improved the reading of alerts such as those encountered in Mozilla Firefox. The text should no longer be read multiple times and other extraneous information will no longer be read. ([[#248]])
- The text of focusable, read-only edit fields will no longer be included when retrieving the text of dialogs. This fixes, for example, the automatic reading of the entire license agreement in installers.
- NVDA no longer announces the unselection of text when leaving some edit controls (example: Internet Explorer address bar, Thunderbird 3 email address fields).
- When opening plain text emails in Outlook Express and Windows Mail, focus is correctly placed in the message ready for the user to read it. Previously the user had to press tab or click on the message in order to use cursor keys to read it.
- Fixed several major issues with the "Speak command keys" functionality.
- NVDA can now read text past 65535 characters in standard edit controls (e.g. a large file in Notepad).
- Improved line reading in MSHTML edit fields (Outlook Express editable messages and Internet Explorer text input fields).
- NVDA no longer sometimes freezes completely when editing text in OpenOffice. ([[#148]], [[#180]])


= 0.6p2 =

- Improved the default ESpeak voice in NVDA
- Added a laptop keyboard layout. Keyboard layouts can be configured from NVDA's  Keyboard settings dialog. ([[#60]])
- Support for grouping items in SysListView32 controls, mainly found in Windows Vista. ([[#27]])
- Report the checked state of treeview items in SysTreeview32 controls.
- Added shortcut keys for many of NVDA's configuration dialogs
- Support for IAccessible2 enabled applications such as Mozilla Firefox when running NVDA from portable media, with out having to register any special Dll files
- Fix a crash with the virtualBuffers Links List in Gecko applications. ([[#48]])
- NVDA should no longer crash Mozilla Gecko applications such as Firefox and Thunderbird if NVDA is running with higher privilages than the Mozilla Gecko application. E.g. NVDA is  running as Administrator.
- Speech dictionaries (previously User dictionaries) now can be either case sensitive or insensitive, and the patterns can optionally be regular expressions. ([[#39]])
- Whether or not NVDA uses a 'screen layout' mode for virtual buffer documents can now be configured from a settings dialog
- No longer report anchor tags with no href in Gecko documents as links. ([[#47]])
- The NVDA find command now remembers what you last searched for, across all applications. ([[#53]])
- Fix issues where the checked state would not be announced for some checkboxes and radio buttons in virtualBuffers
- VirtualBuffer pass-through mode is now specific to each document, rather than NVDA globally. ([[#33]])
- Fixed some sluggishness with focus changes and incorrect speech interuption which sometimes occured when using NVDA on a system that had been on standby or was rather slow
- Improve support for combo boxes in Mozilla Firefox. Specifically when arrowing around them text isn't repeated, and when jumping out of them, ancestor controls are not announced unnecessarily. Also virtualBuffer commands now work when focused on one  when you are in a virtualBuffer.
- Improve accuracy of finding the statusbar in many applications. ([[#8]])
- Added the NVDA interactive Python console tool, to enable developers to look at and manipulate NVDA's internals as it is running
- sayAll, reportSelection and reportCurrentLine scripts now work properly when in virtualBuffer pass-through mode. ([[#52]])
- The increase rate and decrease rate scripts have been removed. Users should use the synth settings ring scripts (control+nvda+arrows) or the Voice settings dialog
- Improve the range and scale of the progress bar beeps
- Added more quick keys to the new virtualBuffers:  l for list, i for list item, e for edit field, b for button, x for checkbox, r for radio button, g for graphic, q for blockquote, c for combo box, 1 through 6 for respective heading levels, s for separator, m for frame. ([[#67]], [[#102]], [[#108]])
- Canceling the loading of a new document in Mozilla Firefox now allows the user to keep using the old document's virtualBuffer if the old document hadn't yet really been destroyed. ([[#63]])
- Navigating by words in virtualBuffers is now more accurate as  words do not accidentally contain text from more than one field. ([[#70]])
- Improved accuracy of focus tracking and focus updating when navigating in Mozilla Gecko virtualBuffers.
- Added a findPrevious script (shift+NVDA+f3) for use in new virtualBuffers
- Improved sluggishness in Mozilla Gecko dialogs (in Firefox and Thunderbird). ([[#66]])
- Add the ability to view the current log file for NVDA. it can be found in the NVDA menu -> Tools
- Scripts such as say time and date now take the current language in to account; punctuation and ordering of words now reflects the language
- The language combo box in NVDA's General settings dialog now shows full language names for ease of use
- When reviewing text in the current navigator object, the text is always up to date if it changes dynamically. E.g. reviewing the text of a list item in Task Manager. ([[#15]])
- When moving with the mouse, the current paragraph of text under the mouse is now announced, rather than either all the text in that particular object or just the current word. Also audio coordinates, and announcement of object roles is optional, they are turned off by default
- Support for reading text with the mouse in Microsoft Word
- Fixed bug where leaving the menu bar in applications such as Wordpad would cause text selection to not be announced anymore
- In Winamp, the title of the track is no longer announced again and again when switching tracks, or pausing/resuming/stopping playback.
- In Winamp,  Added ability to announce state of the shuffle and repeat controls as they are switched. Works in the main window and in the playlist editor
- Improve the ability to activate particular fields in Mozilla Gecko virtualBuffers. May include clickable graphics, links containing paragraphs, and other weird structures
- Fixed an initial lag when opening NVDA dialogs on some systems. ([[#65]])
- Add specific support for the Total Commander application
- Fix bug in the sapi4serotek driver where the pitch could get locked at a particular value, i.e. stays high after reading a capital letter. ([[#89]])
- Announce clickable text and other fields as clickable in Mozilla Gecko VirtualBuffers. e.g.  a field which has an onclick HTML attribute. ([[#91]])
- When moving around Mozilla Gecko virtualBuffers, scroll the current field in to view -- useful so sighted peers have an idea of where the user is up to in the document. ([[#57]])
- Add basic support for ARIA live region show events in IAccessible2 enabled applications. Useful in the Chatzilla IRC application, new messages will now be read automatically
- Some slight improvements to help use ARIA enabled web applications,  e.g. Google Docs
- Stop adding extra blank lines to text when copying it from a virtualBuffer
- Stop the space key from activating a link in the Links List. Now it can be used like other letters in order to  start typing the name of a particular link you wish to go to
- The moveMouseToNavigator script (NVDA+numpadSlash) now moves the mouse to the centre of the navigator object, rather than the top left
- Added scripts to click the left and right mouse buttons (numpadSlash and numpadStar respectively)
- Improve access to the Windows System Tray. Focus hopefully should no longer seem to keep jumping back to one particular item. Reminder: to get to the System Tray use the Windows command WindowsKey+b. ([[#10]])
- Improve performance and stop announcing extra text when holding down a cursor key in an edit field and it hits the end
- Stop the ability for NVDA to make the user wait while particular messages are spoken. Fixes some crashes/freezes with particular speech synthesizers. ([[#117]])
- Added support for the Audiologic Tts3 speech synthesizer, contribution by Gianluca Casalino. ([[#105]])
- Possibly improve performance when navigating around documents in Microsoft Word
- Improved accuracy when reading text of alerts in Mozilla Gecko applications
- Stop possible crashes when trying to save configuration on non-English versions of Windows. ([[#114]])
- Add an NVDA welcome dialog. This dialog is designed to provide essential information for new users and allows CapsLock to be configured as an NVDA modifier key. This dialog will be displayed when NVDA is started by default until it is disabled.
- Fix basic support for Adobe Reader so it is possible to read documents  in  versions 8 and 9
- Fix some errors that may have occured when holding down keys before NVDA is properly initialized
- If the user has configured NVDA to save configuration on exit, make sure the configuration is properly saved when shutting down or logging out of  Windows.
- Added an NVDA logo sound to the beginning of the installer, contributed by Victer Tsaran
- NVDA, both running in the installer and otherwise, should properly clean up its system tray icon when it exits
- Labels for standard controls in NVDA's dialogs (such as Ok and cancel buttons) should now show in the language NVDA is set to, rather than just staying in English.
- NVDA's icon should now be  used for  the NVDA shortcuts in the start menu and on the Desktop, rather than a default application icon.
- Read cells in MS Excel when moving with tab and shift+tab. ([[#146]])
- Fix some double speaking in particular lists in Skype.
- Improved caret tracking in IAccessible2 and Java applications; e.g. in Open Office and Lotus Symphony, NVDA properly waits for the caret to move in documents rather than accidentally reading the wrong word or line at the end of some paragraphs. ([[#119]])
- Support for AkelEdit controls found in Akelpad 4.0
- NVDA no longer locks up in Lotus Synphony when moving from the document to the menu bar.
- NVDA no longer freezes in the Windows XP Add/Remove programs applet when launching an uninstaller. ([[#30]])
- NVDA no longer freezes when opening Spybot Search and Destroy

= 0.6p1 =

== Access to web content with new in-process virtualBuffers (so far for Mozilla Gecko applications including Firefox3 and Thunderbird3) ==

- Load times have been improved almost by a factor of thirty (you no longer have to wait at all for most web pages to load in to the buffer)
- Added a links list (NVDA+f7)
- Improved the find dialog (control+nvda+f) so that it performs a case-insencitive search, plus fixed a few focus issues with that dialog box.
- It is now possible to select and copy text in the new virtualBuffers
- By default the new virtualBuffers represent the document in a screen layout (links and controls are not on separate lines unless they really are visually). You can toggle this feature with NVDA+v.
- It is possible to move by paragraph with control+upArrow and control+downArrow.
- Improved support for dynamic content
- Improved over all accuracy of reading lines and fields when arrowing up and down.


== Internationalization ==

- It is now possible to type accented characters that rely on a "dead character", while NVDA is running.
- NVDA now announces when the keyboard layout is changed (when pressing alt+shift).
- The announce date and time feature now takes the system's current regional and language options in to account.
- added czech translation (by Tomas Valusek with help from Jaromir Vit)
- added vietnamese translation by Dang Hoai Phuc
- Added Africaans (af_ZA) translation, by Willem van der Walt.
- Added russian translation by Dmitry Kaslin
- Added polish translation by DOROTA CZAJKA and friends.
- Added Japanese translation by Katsutoshi Tsuji.
- added Thai translation by Amorn Kiattikhunrat
- added croatian translation by Mario Percinic and Hrvoje Katic
- Added galician translation by Juan C. buno
- added ukrainian translation by Aleksey Sadovoy


== Speech ==

- NVDA now comes packaged with eSpeak 1.33 which contains many improvements, among those are improved languages, named variants, ability to speak faster.
- The voice settings dialog now allows you to change the variant of a synthesizer if it supports one. Variant is usually a slight variation on the current voice. (eSpeak supports variants).
- Added the ability to change the inflection of a voice in the voice settings dialog if the current synthesizer supports this. (eSpeak supports inflection).
- Added the ability to turn off speaking of object position information(e.g. 1 of 4). This option can be found in the Object presentation settings dialog.
- NVDA can now beep when speaking a capital letter. This can be turned on and off with a check box in the voice settings dialog. Also added a raise pitch for capitals check box to configure whether NVDA should actually do its normal pitch raise for capitals. So now you can have either raise pitch, say cap, or beep, for capitals.
- Added the ability to pause speech in NVDA (like found in Voice Over for the Mac). When NVDA is speaking something, you can press the control or shift keys to silence speech just like normal, but if you then tap the shift key again (as long as you havn't pressed any other keys) speech will continue from exactly where it left off.
- Added a virtual synthDriver which outputs text to a window instead of speaking via a speech synthesiser. This should be more pleasant for sighted developers who are not used to speech synthesis but want to know what is spoken by NVDA. There are probably still some bugs, so feedback is most definitely welcome.
- NVDA no longer by default speaks punctuation, you can enable speaking of punctuation with NVDA+p.
- eSpeak by default now speaks quite a bit slower, which should make it easier for people who are using eSpeak for the first time, when installing or starting to use NVDA.
- Added user dictionaries to NVDA. These allow you to make NVDA speak certain text differently. There are three dictionaries: default, voice, and temporary. Entries you add to the default dictionary will happen all the time in NVDA. Voice dictionaries are specific to the current synthesizer and voice you currently have set. And temporary dictionary is  for those times you quickly want to set a rule while you are doing a particular task, but you don't want it to be perminant (it will disappear if you close NVDA). For now the rules are regular expressions, not just normal text.
- Synthesizers can now use any audio output device on your system, by setting the output device combo box in the Synthesizer dialog before selecting the synthesizer you want.


== Performance ==

- NVDA no longer takes up a huge amount of system memory , when editing messages in mshtml edit controls
- Improved performance when reviewing text inside many controls that do not actually have a real cursor. e.g. MSN Messenger history window, treeview items, listview items etc.
- Improved performance in rich edit documents.
- NVDA should no longer slowly creep up in system memory size for no reason
- Fixed bugs when  trying to focus on a dos console window more than three or so times. NVDA did have a tendency to completely crash.


== Key commands ==

- NVDA+shift+numpad6 and NVDA+shift+numpad4 allow you to navigate to the next or previous object in flow respectively. This means that you can navigate in an application by only using these two keys with out having to worry about going up by parent, or down to first child as you move around the object hyerarchy. For instance in a web browser such as firefox, you could navigate the document by object, by just using these two keys. If next in flow or previous in flow takes you up and out of an object, or down in to an object, ordered beeps indicate the direction.
- You can now configure voice settings with out opening the voice settings dialog, by using the Synth Settings Ring. The synth settings ring is a group of voice settings you can toggle through by pressing control+NVDA+right and control+NVDA+left. To change a setting use control+NVDA+up and control+NVDA+down.
- Added a command to report the current selection in edit fields (NVDA+shift+upArrow).
- Quite a few NVDA commands that speak text (such as report current line etc) now can spell the text if pressed twice quickly.
- the capslock, numpad insert and extended insert can all be used as the NVDA modifier key. Also if one of these keys is used, pressing the key twice with out pressing any other keys will send the key through to the operating system, just like you'd pressed the key with out NVDA running. To make one of these keys be the NVDA modifier key, check its checkbox in the Keyboard settings dialog (used to be called the keyboard echo dialog).


== Application support ==

- Improved support for Firefox3 and Thunderbird3 documents. Load times have been improved by almost a factor of thirty, a screen layout is used by default (press nvda+v to toggle between this and no screen layout), a links list (nvda+f7 has been added), the find dialog (control+nvda+f) is now case-insensitive, much better support for dynamic content, selecting and copying text is now possible.
- In the MSN Messenger and Windows Live Messenger history windows, it is now possible to select and copy text.
- Improved support for the audacity application
- Added support for a few edit/text controls in Skype
- Improved support for Miranda instant messenger application
- Fixed some focus issues when opening html and plain text messages in Outlook Express.
- Outlook express newsgroup message fields are now labeled correctly
- NVDA can now read the addresses in the Outlook Express message fields (to/from/cc etc)
- NVDA should be now more accurate at announcing the next message in out look express when deleting a message from the message list.


== APIs and toolkits ==

- Improved object navigation for MSAA objects. If a window has a system menu, title bar, or scroll bars, you can now navigate to them.
- Added support for the IAccessible2 accessibility API. A part from the ability to announce more control types, this also allows NVDA to access the cursor in applications such as Firefox 3 and Thunderbird 3, allowing you to navigate, select or edit text.
- Added support for Scintilla edit controls (such controls can be found in Notepad++ or Tortoise SVN).
- Added support for Java applications (via the Java Access Bridge). This can provide basic support for Open Office (if Java is enabled), and any other stand-alone Java application. Note that java applets with in a web browser may not work yet.


== Mouse ==

- Improved support for reading what is under the mouse pointer as it moves. It is now much faster, and it also now has the ability in some controls such as standard edit fields, Java and IAccessible2 controls, to read the current word, not just the current object. This may be of some used to vision impared people who just want to read a specific bit of text with the mouse.
- Added a new config option, found in the mouse settings dialog. Play audio when mouse moves, when checked, plays a 40 ms beep each time the mouse moves, with its pitch (between 220 and 1760 hz) representing the y axis, and left/right volume, representing the x axis. This enables a blind person to get a rough idea of where the mouse is on the screen as its being moved. This feature also depends on reportObjectUnderMouse also being turned on. So this means that if you quickly need to disable both beeps and announcing of objects, then just press NVDA+m. The beeps are also louder or softer depending on how bright the screen is at that point.


== Object presentation and interaction ==

- Improved support for most common treeview controls. NVDA now tells you how many items are in the branch when you expand it. It also announces the level when moving in and out of branches. And, it announces the current item number and number of items, according to the current branch, not the entire treeview.
- Improved what is announced when focus changes as you move around applications or the operating system. Now instead of just hearing the control you land on, you hear information about any controls this control is positioned inside of. For instance if you tab and land on a button inside a groupbox, the groupbox will also get announced.
- NVDA now tries to speak the message inside many dialog boxes as they appear. This is accurate most of the time, though there are still many dialogs that arn't as good as they could be.
- Added a report object descriptions checkbox to the object presentation settings dialog. Power users may wish to sometimes uncheck this to stop NVDA announcing a lot of extra descriptions on particular controls,  such as in Java applications.
- NVDA automatically announces selected text in edit controls when focus moves to them. If there isn't any selected text, then it just announces the current line like usual.
- NVDA is a lot more careful now when it plays beeps to indicate progress bar changes in applications. It no longer goes crazy in Eclipse applications such as Lotus Notes/Symphony, and Accessibility Probe.


== User Interface ==

- Removed the NVDA interface window, and replaced it with a simple NVDA popup menu.
- NVDA's user interface settings dialog is now called General Settings. It also contains an extra setting: a combo box to set the log level, for what messages should go to NVDA's log file. Note that NVDA's log file is now called nvda.log not debug.log.
- Removed the report object group names checkBox from the object presentation settings dialog, reporting of group names now is handled differently.


= 0.5 =

- NVDA now has a built-in synthesizer called eSpeak, developed by Jonathan Duddington.It is very responsive and lite-weight, and has support for many different languages. Sapi synthesizers can still be used, but eSpeak will be used by default.
 - eSpeak does not depend on any special software to be installed, so it can be used with NVDA on any computer, on a USB thumb drive, or anywhere.
 - For more info on eSpeak, or to find other versions, go to [[http://espeak.sourceforge.net/]].
- Fix bug where the wrong character was being announced when pressing delete in Internet Explorer / Outlook Express editable panes.
- Added support for more edit fields in Skype.
- VirtualBuffers only get loaded when focus is on the window that needs to be loaded. This fixes some problems when the preview pane is turned on in Outlook Express.
- Added commandline arguments to NVDA:
 - -m, --minimal: do not play startup/exit sounds and do not show the interface on startup if set to do so.
 - -q, --quit: quit any other already running instance of NVDA and then exit
 - -s, --stderr-file fileName: specify where NVDA should place uncaught errors and exceptions
 - -d, --debug-file fileName: specify where NVDA should place debug messages
 - -c, --config-file: specify an alternative configuration file
 - -h, -help: show a help message listing commandline arguments
- Fixed bug where punctuation symbols would not be translated to the appropriate language, when using a language other than english, and when speak typed characters was turned on.
- Added Slovak language files thanks to Peter Vagner
- Added a Virtual Buffer settings dialog and a Document Formatting settings dialog, from Peter Vagner.
- Added French translation thanks to Michel Such
- Added a script to toggle beeping of progress bars on and off (insert+u). Contributed by Peter Vagner.
- Made more messages in NVDA be translatable for other languages. This includes script descriptions when in keyboard help.
- Added a find dialog to the virtualBuffers (internet Explorer and Firefox). Pressing control+f when on a page brings up a dialog in which you can type some text to find. Pressing enter will then search for this text and place the virtualBuffer cursor on this line. Pressing f3 will also search for the next occurance of the text.
- When speak typed characters is turned on, more characters should be now spoken. Technically, now ascii characters from 32 to 255 can now be spoken.
- Renamed some control types for better readability. Editable text is now edit, outline is now tree view and push button is now button.
- When arrowing around list items in a list, or tree view items in a tree view, the control type (list item, tree view item) is no longer spoken, to speed up navigation.
- Has Popup (to indicate that a menu has a submenu) is now spoken as submenu.
- Where some language use control and alt (or altGR) to enter a special character, NVDA now will speak these characters when speak typed characters is on.
- Fixed some problems with reviewing static text controls.
- Added Translation for Traditional Chinese, thanks to Coscell Kao.
- Re-structured an important part of the NVDA code, which should now fix many issues with NVDA's user interface (including settings dialogs).
- Added Sapi4 support to NVDA. Currently there are two sapi4 drivers, one based on code contributed by Serotek Corporation, and one using the ActiveVoice.ActiveVoice com Interface. Both these drivers have issues, see which one works best for you.
- Now when trying to run a new copy of NVDA while an older copy is still running will cause the new copy to just exit. This fixes a major problem where running multiple copies of NVDA makes your system very unusable.
- Renamed the title of the NVDA user interface from NVDA Interface to NVDA.
- Fixed a bug in Outlook Express where pressing backspace at the start of an editable message would cause an error.
- Added patch from Rui Batista that adds a script to report the current battery status on laptops (insert+shift+b).
- Added a synth driver called Silence. This is a synth driver that does not speak anything, allowing NVDA to stay completely silent at all times. Eventually this could be used along with Braille support, when we have it.
- Added capitalPitchChange setting for synthesizers thanks to J.J. Meddaugh
- Added patch from J.J. Meddaugh that makes the toggle report objects under mouse script more like the other toggle scripts (saying on/off rather than changing the whole statement).
- Added spanish translation (es) contributed by Juan C. buo.
- Added Hungarian language file from Tamas Gczy.
- Added Portuguese language file from Rui Batista.
- Changing the voice in the voice settings dialog now sets the rate, pitch and volume sliders to the new values according to the synthesizer, rather than forcing the synthesizer to be set to the old values. This fixes issues where a synth like eloquence or viavoice seems to speek at a much faster rate than all other synths.
- Fixed a bug where either speech would stop, or NVDA would entirely crash, when in a Dos console window.
- If support for a particular language exists, NVDA now automatically can show its interface and speak its messages in the language Windows is set to. A particular language can still be chosen manualy from the user interface settings dialog as well.
- Added script 'toggleReportDynamicContentChanges' (insert+5). This toggles whether new text, or other dynamic changes should be automatically announced. So far this only works in Dos Console Windows.
- Added script 'toggleCaretMovesReviewCursor' (insert+6). This toggles whether the review cursor should be automatically repositioned when the system caret moves. This is useful in Dos console windows when trying to read information as the screen is updating.
- Added script 'toggleFocusMovesNavigatorObject' (insert+7). This toggles whether the navigator object is repositioned on the object with focus as it changes.
- Added some documentation translated in to various languages. So far there is French, Spannish and Finish.
- Removed some developer documentation from the binary distribution of NVDA, it is only now in the source version.
- Fixed a possible bug in Windows Live Messanger and MSN Messenger where arrowing up and down the contact list would cause errors.
- New messages are now automatically spoken when in a conversation using Windows Live Messenger. (only works for English versions so far)
- The history window in a Windows Live Messenger conversation can now be read by using the arrow keys. (Only works for English versions so far)
- Added script 'passNextKeyThrough' (insert+f2). Press this key, and then the next key pressed will be passed straight through to Windows. This is useful if you have to press a certain key in an application but NVDA uses that key for something else.
- NVDA ne gèle plus pendant une minute ou plus à l'ouverture de très gros documents dans MS Word.
- Correction d'un bogue qui faisait que si on se déplaçait hors d'un tableau sous MS Word, et que l'on y revenait, le nombre de rangées ou de colonnes courantes n'étaient pas annoncé, même si on regagnait exactement la même cellule.
- Quand on lance NVDA en utilisant une synthèse vocale inexistante ou qui ne fonctionne pas, le moteur SAPI5 sera chargé. Si SAPI55 ne fonctionne pas non plus, alors la parole sera réglée sur silence.
- Les scripts d'augmentation ou de diminution de débit ne montent plus à plus de 100 et ne descendent plus à moins de 0.
- Si une erreur est détectée quand on choisit une langue via la boîte de dialogue Langue de l'interface utilisateur, NVDA alerte l'utilisateur à ce sujet.
- NVDA demande si la configuration doit être sauvegardée et s'il doit redémarrer lors du changement de langue sous la boîte de dialogue Langue de l'interface utilisateur. NVDA doit être relancé pour que les changements prennent effet.
- Lorsqu'une synthèse dvocale choisi par l'utilisateur ne peut pas être chargé par le moyen de la boîte de dialogue Synthétiseur, NVDA affiche une alerte à cet effet.
- Lors du chargement d'un synthétiseur de voix pour la première fois, NVDA permet que ce dernier choisisse les paramètres appropriés de sa voix, son débit et sa tonalité, au lieu de le forcer à utiliser des paramètres par défaut que le lecteur d'écran juge adéquats. Ceci résout un problème où Eloquence et IBM Viavoice Outloud Sapi 4 tendaient à pparler vraiment trop rapidement de prime abord.




